gcc-14 (14.2.0-4ubuntu2~24.04.1) noble; urgency=medium

  * d/p/pr118976.diff: Fix memory corruption when executing 256-bit
    Scalable Vector Extensions code on 128-bit CPUs (LP: #2101084).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 19 Dec 2025 10:36:50 +1300

gcc-14 (14.2.0-4ubuntu2~24.04) noble-proposed; urgency=medium

  * SRU: LP: #2073390: Backport GCC 14.2 to Ubuntu 24.04 LTS.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Sep 2024 15:21:53 +0200

gcc-14 (14.2.0-4ubuntu2) oracular; urgency=medium

  * Update to git 20240908 from the gcc-14 branch.
    - Fix PR ipa/116410, PR tree-optimization/116501, PR c++/116219,
      PR target/112108 (AArch64), PR target/116512 (x86), PR c++/116567,
      PR c++/116606, PR fortran/116530, PR libstdc++/113663,
      PR libstdc++/116549, PR libstdc++/116381, PR lto/116361.
  * Build again gccrs on Ubuntu/i386.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 08 Sep 2024 17:50:09 +0200

gcc-14 (14.2.0-4ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Aug 2024 12:23:25 +0200

gcc-14 (14.2.0-4) unstable; urgency=medium

  * Update to git 20240829 from the gcc-14 branch.
    - Fix PR target/116390 (AVR), PR target/116407 (AVR),
      PR c++/116384 (closes: #1078786).
  * Disable running the tests on alpha and arm64, hanging on the buildds.
  * gcc/configure.ac enables some features based on the binutils version. The
    most recently checked binutils version is 2.36 for GCC 14.  For now it is
    safe to derive the binutils runtime dependency from the binutils build
    dependency.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Aug 2024 12:17:39 +0200

gcc-14 (14.2.0-3ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 18 Aug 2024 19:13:32 +0200

gcc-14 (14.2.0-3) unstable; urgency=medium

  * Update to git 20240817 from the gcc-14 branch.
    - Fix PR target/85624 (AVR), PR target/115464 (AArch64),
      PR target/116174 (x86), PR c++/116327, PR c++/104981, PR c++/115550.
    - s390: Fix high-level builtins vec_gfmsum{,_accum}_128. LP: #2075567.
  * Don't build gccrs on the Hurd.
  * Disable building gnat on hurd-amd64, until it gets bootstrapped.
  * Don't run dwz on hurd-*.
  * Update symbols files for libasan, libgccjit, libstdc++ and libgphobos.
    Closes: #1077492.

 -- Matthias Klose <doko@debian.org>  Sun, 18 Aug 2024 19:10:28 +0200

gcc-14 (14.2.0-2ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Aug 2024 04:00:40 +0200

gcc-14 (14.2.0-2) unstable; urgency=medium

  * Update to git 20240811 from the gcc-14 branch.
    - Fix PR target/116287 (x86), PR target/116295 (AVR), PR target/113384 (PA),
      PR tree-optimization/116224, PR target/116189 (SH),
      PR target/116033 (RISCV), PR tree-optimization/116156,
      PR target/116043 (x86), PR target/115981 (x86), PR c++/116223,
      PR c++/112632, PR c++/116071, PR c++/88313, PR c++/115897,
      PR c++/115656, PR c++/115296, PR c++/112288, PR fortran/108889,
      PR target/116007, PR libstdc++/116038, PR libstdc++/115399,
      PR libstdc++/114387, PR libstdc++/115854, PR libstdc++/116070,
      PR libstdc++/116070.
  * Fix two lintian warnings for the control file.
  * Build-depend on pkgconf instead of pkg-config.
  * gnat: Use the GNATBIND/GNATMAKE passed from the toplevel makefile.
    Provide local unversioned symlinks gnatmake and gnatbind for the build.
    Closes: #1078144.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Aug 2024 03:56:24 +0200

gcc-14 (14.2.0-1ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Aug 2024 02:07:48 +0200

gcc-14 (14.2.0-1) unstable; urgency=medium

  * GCC 14.2.0 release.

  * Update to git 20240801 from the gcc-14 branch.
    - Fix PR target/115981 (x86).
  * Show bootstrap compilers in the build log.
  * Configure with --disable-multilib on loong64.
  * Use the versioned gnatbind and gnatmake binaries for the build.
  * Emit the config.log when the configure step fails.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Thu, 01 Aug 2024 17:43:39 +0200

gcc-14 (14.1.0-5ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Jul 2024 12:16:59 +0200

gcc-14 (14.1.0-5) unstable; urgency=medium

  * Update to git 20240719 from the gcc-14 branch.
    - Fix PR c++/115865, PR rtl-optimization/115049, PR target/115351 (x86),
      PR ipa/113787, PR tree-optimization/113673, PR target/115526 (alpha),
      PR middle-end/115887, PR middle-end/115527, PR tree-optimization/115382,
      PR tree-optimization/115868, PR tree-optimization/115841,
      PR tree-optimization/115843, PR tree-optimization/115701,
      PR tree-optimization/115701, PR tree-optimization/115867,
      PR tree-optimization/115843, PR target/115459 (alpha),
      PR target/115554 (RISCV), PR target/115562 (RISCV),
      PR target/113719 (x86), PR target/113719 (x86), PR target/115872,
      PR target/115752 (loongarch), PR target/115840 (RISCV),
      PR target/115611 (ARM), PR middle-end/115836, PR target/113715 (RISCV),
      PR analyzer/114899, PR c++/115476, PR c++/115165, PR c++/111890,
      PR c++/115897, PR c++/106760, PR c++/115754, PR c++/99242, PR c++/99241,
      PR fortran/93635, PR fortran/99798, PR fortran/103312,
      PR libstdc++/113376, PR libstdc++/115522.
  * On loong64, also build-depend on the gdc-14 frontend.
  * Build libitm1 on loong64 and riscv64.
  * Disable running the tests on x32, hanging on the buildds.

 -- Matthias Klose <doko@debian.org>  Fri, 19 Jul 2024 12:09:39 +0200

gcc-14 (14.1.0-4ubuntu2) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jul 2024 12:32:01 +0200

gcc-14 (14.1.0-4) unstable; urgency=medium

  * Update to git 20240710 from the gcc-14 branch.
    - Fix PR target/115591 (RISCV), PR target/115188 (ARM),
      PR target/87376 (AVR), PR target/115475 (AArch64),
      PR target/115691 (PARISC), PR target/98762 (AVR), PR target/106069 (PPC),
      PR target/115355 (PPC), PR target/114936 (AArch64),
      PR target/88236 (AVR), PR target/115726 (AVR), PR pch/115312,
      PR c/114930, PR c/115502, PR c++/115623, PR fortran/114019,
      PR fortran/55978, PR fortran/115390, PR target/114890 (AArch64),
      PR target/115153 (ARM), PR target/115763 (RISCV),
      PR tree-optimization/115723, PR tree-optimization/115694,
      PR tree-optimization/115669, PR tree-optimization/115646,
      PR fortran/84006, PR fortran/100027, PR fortran/98534, PR fortran/115700,
      PR libstdc++/115807, PR libstdc++/115585.
  * d/p/0009-Ada-select-64-bits-time-functions-from-GNU-libc-when.diff:
    Adjust for the new glibc behaviour of defining __USE_TIME_BITS64 also
    on native 64-bits platforms (Simon Chopin). Addresses: #1074577.
    LP: #2071605.
  * Pass --package-metadata on distros with supporting linkers (starting
    with Debian trixie and Ubuntu noble).
    The package metadata is constructed from the environment variables
    ELF_PACKAGE_METADATA.
    Setting NO_PKG_METADATA=1 disables the generation of the package metadata.
  * Build target libraries with -mbranch-protection=standard to enable PAC/BTI
    support on arm64 (Emanuele Rocca). Addresses: #1055711.
  * Build target libraries with -fno-omit-frame-pointer, when enabled in
    dpkg-buildflags.
  * Strip again the executables.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Jul 2024 12:12:12 +0200

gcc-14 (14.1.0-3ubuntu2) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Jun 2024 17:09:43 +0200

gcc-14 (14.1.0-3) unstable; urgency=medium

  * Update to git 20240630 from the gcc-14 branch.
    - Fix PR tree-optimization/115278, PR target/114846 (PPC),
      PR tree-optimization/115508, PR driver/115440, PR target/115342 (AArch64),
      PR target/106069 (PPC), PR target/115355 (PPC), PR target/114846 (PPC),
      PR c++/115624, PR c/115587, PR c++/115504, PR c++/115198, PR c++/115358,
      PR libstdc++/115668, PR libstdc++/115575, PR libstdc++/115454.
    - Backport a fix for an ICE on riscv64. Closes: #1071140.
  * Fix typo for loong64 build dependencies.
  * Disable running the tests on the Ubuntu arm64 buildds (times out).
  * Starting with Ubuntu 24.10, stop building s390x multilibs.
  * Fix gccrs build dependencies on the Hurd. Closes: #1073830.
  * Drop the sys-auxv-header patch. Closes: #1071555.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Jun 2024 16:27:40 +0200

gcc-14 (14.1.0-2ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Jun 2024 11:39:52 +0200

gcc-14 (14.1.0-2) unstable; urgency=medium

  * Update to git 20240619 from the gcc-14 branch.
    - Fix PR target/109549 (S390), PR target/115253 (ARM),
      PR rtl-optimization/115281, PR target/115353 (ARM),
      PR middle-end/115352, PR tree-optimization/115337, PR middle-end/108789,
      PR target/115324 (PPC), PR rtl-optimization/114902,
      PR rtl-optimization/115092, PR tree-optimization/115307,
      PR target/115297 (alpha), PR tree-optimization/115192,
      PR target/113719 (x86), PR tree-optimization/115149,
      PR tree-optimization/115197, PR tree-optimization/114921,
      PR target/115169 (loongarch), PR tree-optimization/115232,
      PR rtl-optimization/115038, PR tree-optimization/115152,
      PR sanitizer/115172, PR target/115069 (x86), PR tree-optimization/115154,
      PR tree-optimization/115143, PR tree-optimization/114998,
      PR middle-end/114931, PR middle-end/114931, PR ada/114708,
      PR ada/115270, PR c/115290, PR middle-end/114931, PR c/114493,
      PR target/111343 PR c++/115511, PR c++/99678, PR c++/115239,
      PR c++/115283, PR c++/115378, PR c++/115187, PR c++/114868,
      PR c++/105320, PR c++/114275, PR c++/114983, PR libstdc++/107800,
      PR c++/115139, PR c++/115114, PR c++/114994, PR fortran/83865,
      PR fortran/115150, PR fortran/86100, PR fortran/115039,
      PR fortran/114874, PR jit/115442, PR target/115360 (ARM),
      PR target/115065 (AVR), PR libstdc++/115308, PR libstdc++/115247,
      PR libstdc++/114958, PR libstdc++/115335, PR libstdc++/111641,
      PR libstdc++/109849, PR libstdc++/115269, PR libstdc++/114940,
      PR libstdc++/115099, PR libstdc++/115119, PR libstdc++/115015,
      PR libstdc++/115063, PR libstdc++/114891, PR libstdc++/114866.
  * Configure again with --enable-checking=release. Closes: #1072519.
  * On loong64, build-depend on GCC 14 frontends. Closes: #1072635.
  * Build gccrs on x32. Closes: #1072345, #1072327.
  * Don't build Ada on sparc (32bit). Closes: #1072328.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Jun 2024 09:44:29 +0200

gcc-14 (14.1.0-1ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 May 2024 09:37:49 +0200

gcc-14 (14.1.0-1) unstable; urgency=medium

  * GCC 14.1.0 release.
  * Update to git 20240514 from the gcc-14 branch.
    - Fix PR target/114975 (AVR), PR tree-optimization/114965,
      PR middle-end/114907, PR sanitizer/114956, PR tree-optimization/114876,
      PR ipa/92606, PR c++/89224, PR c++/114856, PR c++/114889,
      PR target/69374, PR target/112959, PR target/114968 (x86),
      PR driver/114980, PR c++/114974, PR c++/114901, PR c++/114903,
      PR fortran/114827, PR target/114981 (AVR).

  [ Nicolas Boulenguez ]
  * Improve the ada-lib-info-source-date-epoch patch.
  * Ada: remove duplicate unused patches
  * ada-749574.diff: update and apply again.
  * Refresh the autogen part of ada-{armel-libatomic,link-lib}.diff.
  * Ada: fix a typo in patch for PR ada/114065 breaking the build on hurd.

  [ Matthias Klose ]
  * Refresh patches.
  * Update NEWS files.
  * gcc-14: Depend on cpp-14, lost with the -for-build/-for-host changes.
  * Run the tests again during the build.
  * Turn on again PGO and LTO builds.

 -- Matthias Klose <doko@debian.org>  Tue, 14 May 2024 09:22:26 +0200

gcc-14 (14-20240429-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 29 Apr 2024 11:23:43 +0200

gcc-14 (14-20240429-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20240429.

  * Apply proposed patch for PR libquadmath/114533 (Simon Chopin).
    Closes: #1064426. LP: #2052929.
  * Don't build the libstdc++-doc package when the nodoc profile is enabled.
  * Clean up some version restrictions on build-dependencies.
  * Don't set the _FILE_OFFSET_BITS and _TIME_BITS macros, if the
    _DISTRO_EVADE_TIME_BITS macro is defined.
    See https://sourceware.org/bugzilla/show_bug.cgi?id=31624.
  * Build-depend on amdgcn-tools-18, required for new gcn offload targets.
  * Package the new gfx1030, gfx1036, gfx1100 and gfx1103 offload targets.
    LP: #2060619.
  * rs now requires cargo to bootstrap. Disable building gccrs on architectures
    which don't have cargo.
    Disable gccrs cross compilers. Not working upstream, more constraints
    on rust macros.
  * Build gnat, gdc and gm2 on loong64. Closes: #1069708.
  * Integrate gnat patches from Nicolas:
    - Update the ada-lib-info-source-date-epoch patch.
    - Remove the pr114065-proposed patch.
    - Add patches (v7) from PR ada/114065.  Addresses: #1067453.

 -- Matthias Klose <doko@debian.org>  Mon, 29 Apr 2024 11:15:28 +0200

gcc-14 (14-20240412-0ubuntu1) noble; urgency=medium

  * Snapshot, taken from the trunk 20240412.

  * Apply proposed patch for PR libquadmath/114533 (Simon Chopin).
    Closes: #1064426. LP: #2052929.
  * Don't build the libstdc++-doc package when the nodoc profile is enabled.
  * Clean up some version restrictions on build-dependencies.
  * Don't set the _FILE_OFFSET_BITS and _TIME_BITS macros, if the
    _DISTRO_EVADE_TIME_BITS macro is defined.
    See https://sourceware.org/bugzilla/show_bug.cgi?id=31624.
  * Build-depend on amdgcn-tools-18, required for new gcn offload targets.
  * Package the new gfx1030, gfx1036, gfx1100 and gfx1103 offload targets.
    LP: #2060619.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Apr 2024 14:30:14 +0200

gcc-14 (14-20240330-1ubuntu1) noble; urgency=medium

  * Apply proposed patch for PR libquadmath/114533 (Simon Chopin).
    Closes: #1064426. LP: #2052929.
  * Bump b-d on binutils.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Mar 2024 14:03:10 +0100

gcc-14 (14-20240330-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20240330.

  * Make vhdl known to the PPC backend.
  * Use the proposed patch to fix PR ada/114064, 64bit definitions for
    time_t_bits type on 32bit archs.
  * Move the _FORTIFY_SOURCE setting from cc1 to the driver.
  * d/p/gcc-distro-defaults: Make -fstack-protector-explicit known.
  * newlib: amdgcn: Implement proper locks, taken from newlib trunk.
  * Refresh patches.
  * Use gcc:SoftVersion for -for-host dependencies (Helmut Grohne).
    Closes: #1067904.

 -- Matthias Klose <doko@debian.org>  Sat, 30 Mar 2024 13:27:56 +0100

gcc-14 (14-20240315-1ubuntu1) noble; urgency=medium

  * Snapshot, taken from the trunk 20240315.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Mar 2024 20:39:31 +0100

gcc-14 (14-20240315-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20240315.

  * Fix installation of the amdgcn offload compiler. Closes: #1065458.
  * Fix installation of the nvptx offload compiler. Closes: #1065599.
  * Add loong64 bits for the gcc-multilib-multiarch patch. Closes: #1061371.
  * Enable Modula-2 on the Hurd (Samuel Thibault). Closes: #1066932.

 -- Matthias Klose <doko@debian.org>  Fri, 15 Mar 2024 20:35:12 +0100

gcc-14 (14-20240303-1ubuntu1) noble; urgency=medium

  * Snapshot, taken from the trunk 20240303.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Mar 2024 14:52:02 +0100

gcc-14 (14-20240303-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20240303.
  * Build without gdb for now.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Mar 2024 11:40:51 +0100

gcc-14 (14-20240221-2.1ubuntu1) noble; urgency=medium

  * Build with the release pocket only.
  * Disable bootstrap builds for a quick & dirty build.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Feb 2024 01:12:16 +0100

gcc-14 (14-20240221-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable to start the 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Mon, 26 Feb 2024 21:41:05 +0000

gcc-14 (14-20240221-2ubuntu1) noble; urgency=medium

  * Snapshot, taken from the trunk 20240121.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Feb 2024 04:16:11 +0100

gcc-14 (14-20240221-2) experimental; urgency=medium

  * libgnat: Use Long_Long_Integer'Size for the definition of time_t_bits
    for 32bit architectures using time_t64.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Feb 2024 04:12:32 +0100

gcc-14 (14-20240221-1) experimental; urgency=medium

  * Snapshot, taken from the trunk 20240221.

  * Proposed fix for PR d/113772.
  * Fix disabling go and m2 according to OS (Samuel Thibault). Closes: #1063643.
  * Pass -D_TIME_BITS=64 together with -D_FILE_OFFSET_BITS=64 by default
    on the 32bit architectures armel, armhf, hppa, m68k, mips, mipsel,
    powerpc (-m32 only) and sh4.
  * PR libstdc++/99832, std::chrono::system_clock::{from,to}_time_t:
    Add ABI tag for timet64.
  * Fix libsanitizer build with _TIME_BITS set.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Feb 2024 00:27:13 +0100

gcc-14 (14-20240207-1) experimental; urgency=medium

  * Snapshot, taken from the trunk 20240207.

  * Enable sanitizer packages for loong64.
  * Build libubsan1 for riscv64.
  * Apply proposed patch for PR target/113720 (alpha).
  * Drop the libgo-soname patch, use the bumped libgo upstream soname.
  * Apply proposed patch for PR middle-end/113731.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Feb 2024 05:39:32 +0100

gcc-14 (14-20240201-3ubuntu1) noble; urgency=medium

  * Snapshot, taken from the trunk 20240201.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2024 23:02:01 +0100

gcc-14 (14-20240201-3) unstable; urgency=medium

  * Fix PR middle-end/113705 (ftbfs on arm64). Closes: #1062535.

 -- Matthias Klose <doko@debian.org>  Thu, 01 Feb 2024 22:53:33 +0100

gcc-14 (14-20240201-2) unstable; urgency=medium

  * Snapshot, taken from the trunk 20240201.

  * Add more dependencies for -for-build and -for-host packages.
  * For Ubuntu, only define _FORTIFY_SOURCE, if there are no options
    -U_FORTIFY_SOURCE or -D_FORTIFY_SOURCE=N given.
  * Update libgcc-s symbols files.

 -- Matthias Klose <doko@debian.org>  Thu, 01 Feb 2024 14:11:28 +0100

gcc-14 (14-20240131-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20240131.

  [ Matthias Klose ]
  * Fix and add dependencies for -for-build and -for-host packages.
  * Add conflict to libgccjit-13-doc. Closes: #1061647.
  * Fix some -for-{build,host} package descriptions. Closes: #1061670.
  * Correct conflicts with old gnat-N versions. Addresses: #1061648.
  * Apply proposed patch for PR target/113336 (ARM). Closes: #1061370.
  * Build again gnat and gcc on armel.

  [ Aurelien Jarno ]
  * Update libasan8 symbols for riscv64.
  * Update liblsan0 symbols for riscv64.

 -- Matthias Klose <doko@debian.org>  Wed, 31 Jan 2024 10:40:26 +0100

gcc-14 (14-20240127-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20240127.
  * Disable the gccgo build on armel for now. See #1061370.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Jan 2024 09:51:04 +0100

gcc-14 (14-20240126-2) unstable; urgency=medium

  * Update libgccjit symbols file.
  * Bump autopkg test dependencies to GCC 14.
  * Try harder to disable ada on armel.

 -- Matthias Klose <doko@debian.org>  Fri, 26 Jan 2024 15:05:36 +0100

gcc-14 (14-20240126-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20240126.
  * Don't define <lang>_no_archs macros directly.
  * Add missing libstdc++-{dbg,doc} conflicts. Closes: #1061345.
  * Fix gm2-14 package description. Closes: #1061372.
  * Re-add conflicts for gnat packages.
  * Disable the ada build on armel for now. See #1061370.

 -- Matthias Klose <doko@debian.org>  Fri, 26 Jan 2024 12:42:52 +0100

gcc-14 (14-20240121-1ubuntu1) noble; urgency=medium

  * Snapshot, taken from the trunk 20240121.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Jan 2024 09:35:13 +0100

gcc-14 (14-20240121-1) experimental; urgency=medium

  * Snapshot, taken from the trunk 20240121.

  [ Matthias Klose ]
  * Update symbols files.
  * Refresh patches.
  * Drop KFreeBSD patches.
  * Drop the KFreeBSD build support.
  * Bump debhelper to v11.
  * Configure with --disable-s390-excess-float-precision for sid/trixie and
    Ubuntu noble (24.04 LTS).
  * Update the gcc-as-needed patch for loong64. Addresses: #1054469.
  * Remove the support to build ARM sf/hf multilib packages.
  * Update the variants for the amdgcn offload compiler.
  * Remove references to obsolete CPUs m32r and tilegx.
  * Add changes for hurd-amd64 (Samuel Thibault). Addresses: #1057004.
  * Don't build-depend on gdb on hurd-amd64 for now.
  * Remove the packaging bits to build gdc as a separate source package.
  * Remove the packaging bits to build gccgo as a separate source package.
  * Build the nvptx offload compiler on arm64.
  * Don't strip executables for the prerelease uploads.
  * Disable LTO builds on hurd-amd64.
  * Configure with --enable-checking=yes,extra,rtl for now.
  * Bump libgm2 soname.
  * Add support to build from a combined binutils/GCC tree.
  * Use DEB_BUILD_OPTIONS='... gcc-ice=nodump,norepro' for turning off dumping
    the preprocessed source to stdout. Addresses: #1057635.
  * Set DEB_BUILD_OPTIONS='... gcc-ice=nodump,norepro' when running the
    testsuite.
  * Default to pie on loong64. Addresses: #1057433.
  * Bump the libphobos soname to distinguish from GCC 13 (local patch)
  * Bump the libgo soname to distinguish from GCC 13 (local patch)
  * For Ubuntu 24.04 LTS and later, switch _FORTIFY_SOURCE to 3 by default
    instead of 2 when optimization is enabled. LP: #2012440.
  * Use "arch" macros instead of "cpu" macros for control file generation.
  * Set {go,m2,rs}_no_archs macros for the generation of the control file.
  * Remove trailing whitespace in control file.
  * Build Enable LSan and TSan packages for riscv64.
  * Remove empty directory in the snapshot package. Addresses: #1060080.
  * Disable the LTO build on mips64el (requested by YunQiang Su).
  * Configure with --enable-libstdcxx-backtrace. LP: #2048233.
  * Update the testsuite-hardening patches, and apply them again.
  * Fall-back to the host crypt.h for the target, required by cross builds.
    See: #1014375.
  * Build again gccrs.
  * Update newlib to 4.4.0.20231231.
  * Remove the support to create i586 symlinks on i386 and hurd-i386.
  * Mark *-N-for-{build,host} packages as dependency packages.
  * Don't include -Xliblto_plugin.so for dh_fixperms call.
  * debian/copyright: Update copyright years, add libgm2 and libgrust.

  [ Nicolas Boulenguez ]
  * Ada: Actually install README.gnat to the gnat-X package.
  * Ada: Remove a duplicate conditional on with_separate_gnat.
  * Ada: Stop installing unversioned symlinks to the shared libgnat.
  * Ada: Stop installing the /usr/bin/gnatgcc symbolic link.
  * Ada: Remove unversioned symbolic links to gnat tools.
  * Ada: Remove the conflict between gnat-14 and previous versions.
  * Ada: Stop searching gnatgcc in build dependencies.
  * Ada: Remove the with_separate_gnat Make variable.
  * Ada: Remove all stuff conditioned by PKGSOURCE=gnat.

  [ Helmut Grohne ]
  * Add loong64 to any_archs.
  * Always issue a build-dependency on debhelper.
  * For cross toolchain builds, add a build dependency on target binutils.
  * For cross toolchain builds, add build dependencies on the Ada, D and
    Modula-2 frontends.
  * Remove redundant sections and priorities for non-tools in the control file.
  * Remove redundant sections and priorities for tools in the control file.
  * Add support code for gcc-for-host.
    - control.m4 macro for_each_arch iterates over all known architectures and
      substitutes arch_deb (the Debian architecture name), arch_gnu (the GNU
      triplet) and arch_gnusuffix (a package name suffix encoding the
      architecture) variables.
    - The substitution variable target:suffix can be used to interpolate the
      current target architecture suffix for dependencies from the regular
      tool packages on architecture-qualified tool packages.
  * Build $triplet packages:
    {cpp,gcc,g++,gfortran,gdc,gobjc,gobjc++,gccgo,gnat,gm2,gccrs}-14-$triplet
  * Use cross_gencontrol for *-for-host packages.
  * libgcc-s[124]: move libgcc_s.so.? to /usr for DEP17. Addresses: #1060001.
  * Add packages {cpp,gcc,g++,gfortran,gdc,gobjc,gobjc++}-N-for-{build,host}.
  * Add packages {gccgo,gnat,gm2,gccrs}-N-for-{build,host}.
  * Restrict $tool-$v-$triplet packages via ${tool}_no_archs.

 -- Matthias Klose <doko@debian.org>  Sun, 21 Jan 2024 07:38:02 +0100

gcc-13 (13.2.0-5) unstable; urgency=medium

  * Update to git 20231005 from the gcc-13 branch.
    - Fix PR tree-optimization/111331, PR tree-optimization/110386,
      PR target/111121 (AArch64), PR tree-optimization/110315,
      PR target/111411 (AArch64), PR target/111412 (riscv),
      PR ada/110488, PR c++/111493, PR c++/111485, PR c++/99631,
      PR c++/111471, PR fortran/37336, PR fortran/111674, PR fortran/92586,
      PR fortran/68155, PR modula2/111510, PR libstdc++/111050,
      PR libstdc++/111102, PR libstdc++/108046, PR libstdc++/111511,
      PR c++/111512, PR c++/111357.
  * Provide symlinks for the shared Modula-2 runtime libraries in
    the private gcc library directory. Closes: #1052008.
  * Install the static Modula-2 libraries.
  * Add autopkg test for Modula-2.
  * Don't assume that hppa64-linux-gnu has the sys/mman.h header,
    use the fallback for libgcov.
  * Update the libquadmath portions of the copyright file. Closes: #1052314.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Dec 2023 18:38:37 +0100

gcc-13 (13.2.0-4ubuntu3) mantic; urgency=medium

  * Cherry-pick from the branch (backported together with CVE-2023-4039 fixes):
    - Fix PR target/111411 (AArch64): Fix loose ldpstp check.
    - Fix return register handling in untyped_call (AArch64).
  * Ignore failing libgm2-link autopkg test on armhf. See PR/modula-2 111510.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Sep 2023 10:44:53 +0200

gcc-13 (13.2.0-4ubuntu2) mantic; urgency=medium

  * Provide symlinks for the shared Modula-2 runtime libraries in
    the private gcc library directory. Closes: #1052008.
  * Install the static Modula-2 libraries.
  * Add autopkg test for Modula-2.
  * Don't assume that hppa64-linux-gnu has the sys/mman.h header,
    use the fallback for libgcov.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Sep 2023 04:06:03 +0200

gcc-13 (13.2.0-4ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Sep 2023 13:28:29 +0200

gcc-13 (13.2.0-4) unstable; urgency=medium

  * Update to git 20230913 from the gcc-13 branch.
    - Fix PR target/96762 (PPC), PR target/111340 (x86),
      PR target/111306 (x86), PR target/111335 (x86),
      PR modula2/111330.
    - Address stack protector and stack clash protection weaknesses
      on AArch64. CVE-2023-4039.

  [ Matthias Klose ]
  * Fix PR fortran/88552, taken from the trunk. LP: #1842164.

  [ Aurelien Jarno ]
  * Update libasan8 symbols for riscv64.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Sep 2023 13:17:34 +0200

gcc-13 (13.2.0-3ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Sep 2023 12:06:46 +0200

gcc-13 (13.2.0-3) unstable; urgency=medium

  * Update to git 20230902 from the gcc-13 branch.
    - Fix PR target/111127 (x86), PR middle-end/111017 (x86),
      PR tree-optimization/111070, PR tree-optimization/111039,
      PR tree-optimization/111019, PR tree-optimization/110702,
      PR tree-optimization/111109, PR debug/111080, PR target/111010 (x86),
      PR c++/106652, PR c++/110927, PR c++/109678, PR c++/106310,
      PR fortran/87477, PR modula2/110779, PR modula2/108119,
      PR libgcc/110956, PR middle-end/111017, PR libstdc++/110860,
      PR libstdc++/110990, PR libstdc++/110970, PR libstdc++/110974,
      PR libstdc++/110968, PR target/110484 (loong64),
      PR tree-optimization/110914, PR tree-optimization/111015,
      PR target/109725 (riscv), PR c++/109751, PR c++/92407.

  [ Aurelien Jarno ]
  * Fix PR target/110066 (RISCV), taken from the trunk.

  [ Matthias Klose ]
  * Remove test protocols in clean target. Addresses: #1044154.
  * Disable Ada, Go, D, Modula-2 frontends on loong64.

  [ Nicolas Boulenguez ]
  * Ada: deprecate the gnatgcc symbolic link.
  * Ada: move README.gnat to debian/ada/.
  * Ada: remove the obsolete acats-killer script.
  * Ada: let gnat-BV provide a versioned virtual package.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Sep 2023 11:39:47 +0200

gcc-13 (13.2.0-2ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Aug 2023 06:09:08 +0200

gcc-13 (13.2.0-2) unstable; urgency=medium

  * Update to git 20230810 from the gcc-13 branch.
    - Fix PR target/110220 (AVR), PR target/110741 (PPC),
      PR target/109713 (RISCV), PR target/89835 (RISCV),
      PR tree-optimization/110280, PR modula2/110125, PR c++/110197,
      PR c++/110566, PR c++/108179, PR fortran/109684, PR fortran/110825,
      PR fortran/108961, PR modula2/110779, PR modula2/110161,
      PR modula2/110865, PR modula2/110284, PR modula2/110174,
      PR modula2/110631, PR modula2/110125, PR libstdc++/110860,
      PR libstdc++/110917, PR libstdc++/110862.
  * Stop building 32bit liblsan packages, where gcc-13 is not part of
    the distro. Closes: #1042482.
  * Update sanitizer symbols files.
  * Address some lintian warnings:
    - Be quiet about libstdc++-doc manpages.
    - Don't complain about unstripped sanitizer libraries.
  * Correct debhelper to mess up permissions in /usr/libexec.
  * Strip again the executables.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Aug 2023 05:49:00 +0200

gcc-13 (13.2.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Jul 2023 07:14:58 +0200

gcc-13 (13.2.0-1) unstable; urgency=medium

  * GCC 13.2.0 release.
  * Update to git 20230730 from the gcc-13 branch.
    - Fix PR tree-optimization/110755, PR tree-optimization/110799,
      PR tree-optimization/110766, PR c++/110809, PR modula2/109952,
      PR modula2/109952, PR modula2/109586.

  [ Nicolas Boulenguez ]
  * autopkgtests: compute GCC version, reuse AUTOPKGTEST_TMP

  [Matthias Klose]
  * Stop building gccrs, not ready yet for GCC 13.2, and probably
    won't be backported to GCC 13 at all.  Just keep it building
    for Ubuntu 23.04, where it cannot be removed from the release pocket.
  * gcc-13-doc: Fix installation of the libitm info file. LP: #1936394.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Jul 2023 07:04:14 +0200

gcc-13 (13.1.0-9ubuntu2) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Jul 2023 13:53:07 +0200

gcc-13 (13.1.0-9) unstable; urgency=medium

  * Update to git 20230720 from the gcc-13 branch (13.2 release candidate).
    - Fix PR tree-optimization/110731, PR tree-optimization/110669,
      PR target/110206, PR target/101469 (SH), PR target/106966 (alpha),
      PR c++/110535, PR c++/110122, PR c++/110524, PR fortran/95947,
      PR fortran/110658, PR fortran/110288, PR libgcc/110179, PR libgcc/109712,
      PR libstdc++/109921, PR libstdc++/110432, PR libstdc++/110542,
      PR libstdc++/110574, PR libstdc++/95048.
  * Update libstdc++ symbols file for ppc64el.
  * Update patches for backports.
  * libgccjit-13-doc: Relax dependency on the gcc-13-base package.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Thu, 20 Jul 2023 13:37:42 +0200

gcc-13 (13.1.0-8ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Jul 2023 10:28:29 +0200

gcc-13 (13.1.0-8) unstable; urgency=medium

  * Update to git 20230711 from the gcc-13 branch.
    - Fix PR tree-optimization/110557, PR c++/110595,
      PR tree-optimization/110556, PR tree-optimization/110515,
      PR tree-optimization/110392, PR tree-optimization/110381,
      PR target/110560 (RISCV), PR target/105325 (PPC),
      PR tree-optimization/110228, PR c++/110468, PR c++/110463,
      PR d/108842, PR d/110516, PR d/110514, PR d/110471, PR fortran/110585,
      PR testsuite/108835, PR d/103944, PR libstdc++/104299.
  * Apply proposed patch for PR target/106966. Addresses: #1019011.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Jul 2023 10:25:56 +0200

gcc-13 (13.1.0-7ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Jun 2023 17:42:41 +0200

gcc-13 (13.1.0-7) unstable; urgency=medium

  * Update to git 20230630 from the gcc-13 branch.
    - Fix PR tree-optimization/110298, PR debug/110295, PR middle-end/110055,
      PR ipa/109983, PR tree-optimization/109143, PR target/110132 (AArch64),
      PR target/110100 (AArch64), PR target/110100 (AArch64),
      PR target/109932 (PPC), PR target/110011 (PPC), PR c++/110102,
      PR c++/109247, PR rtl-optimization/110237, PR target/110309 (x86),
      PR testsuite/66005, PR middle-end/110420, PR middle-end/103979,
      PR middle-end/98619, PR ipa/110276,
      PR target/110264 (RISCV, closes: #1038774), PR d/106977,
      PR target/110406, PR d/110359, PR d/110113, PR fortran/86277,
      PR libstdc++/110239, PR libstdc++/110149, PR libstdc++/109741,
      PR libstdc++/100285.

  [ Nicolas Boulenguez ]
  * ada/check_ali_update.sh: report checksum changes but ignore timestamps

  [Matthias Klose]
  * Fix PR tree-optimization/110280, taken from the trunk. Closes: #1038768.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Jun 2023 14:36:39 +0200

gcc-13 (13.1.0-6ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 18 Jun 2023 09:45:32 +0200

gcc-13 (13.1.0-6) unstable; urgency=medium

  * Update to git 20230617 from the gcc-13 branch.
    - Fix PR target/110136 (loongarch), PR target/110227 (X86),
      PR middle-end/110200.
  * Ignore gccrs bootstrap comparison failures on mipsel.
  * Remove obsolete gcn assembler patch.
  * Mark libgcc-sN packages as protected/important for newer releases.
  * Apply proposed patch for PR ipa/110276. Closes: #1037640.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jun 2023 11:34:12 +0200

gcc-13 (13.1.0-5ubuntu1) mantic; urgency=medium

  * Update to git 20230613 from the gcc-13 branch.
    - Fix PR middle-end/110200.
  * Ignore gccrs bootstrap comparison failures on mipsel.
  * Remove obsolete gcn assembler patch.
  * Mark libgcc-sN packages as protected/important for newer releases.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Jun 2023 09:54:20 +0200

gcc-13 (13.1.0-5) unstable; urgency=medium

  * Re-enable building gccrs.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Jun 2023 17:12:06 +0200

gcc-13 (13.1.0-4) unstable; urgency=medium

  * Update to git 20230611 from the gcc-13 branch.
    - Fix PR target/109650 (AVR), PR target/92729 (AVR),
      PR tree-optimization/110165, PR tree-optimization/110166,
      PR target/110044 (PPC), PR target/110108 (X86), PR target/109939 (ARM),
      PR target/106907 (PPC), PR target/109800 (ARM), PR bootstrap/110085,
      PR target/110088 (AVR), PR target/109954 (X86), PR target/110036 (RISCV),
      PR target/109547 (RISCV), PR target/104327 (AVR), PR target/82931 (AVR),
      PR tree-optimization/109505, PR target/105753 (AVR), PR fortran/96024,
      PR fortran/100607, PR libgcc/109670, PR libgcc/109685,
      PR libstdc++/108178, PR libstdc++/110139, PR libstdc++/109758,
      PR libstdc++/109822, PR libstdc++/109261, PR libstdc++/109949,
      PR libstdc++/109261.
  * Configure --with-cpu=ev56 instead of --with-arch=ev56 for alpha.
  * Also provide the liblto_plugin.so symlink in the old place.
    Closes: #1036566.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Jun 2023 13:48:04 +0200

gcc-13 (13.1.0-3) experimental; urgency=medium

  * Update to git 20230520 from the gcc-13 branch.
    - PR c++/109884, PR target/104338 (RISCV), PR libstdc++/109816,
      Fix PR target/109661 (AArch64), PR c++/109871, PR c++/109868,
      PR c++/109774, PR c++/109745, PR c++/83258, PR c++/80488, PR c++/97700,
      PR c++/109761, PR c++/109651, PR fortran/109846, PR fortran/109641,
      PR target/104338 (RISCV), PR libstdc++/109816, PR libstdc++/109883,
      PR libstdc++/109883.
  * Update libgcc-s, libhwasan and libstdc++ symbols files.
  * Patch libstdc++ to support SOURCE_DATE_EPOCH in documentation (Vagrant
    Cascadian). Closes: #1036367.
  * Configure --with-arch=ev56 for alpha. Closes: #1036158.

 -- Matthias Klose <doko@debian.org>  Sat, 20 May 2023 11:42:17 +0200

gcc-13 (13.1.0-2ubuntu2) mantic; urgency=medium

  * Update to git 20230512 from the gcc-13 branch.
    - Fix PR target/109661 (AArch64).
  * Update libgcc-s, libhwasan and libstdc++ symbols files.
  * Build gccrs again, already is in the 23.04 release pocket.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 May 2023 12:37:46 +0200

gcc-13 (13.1.0-2ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 May 2023 13:54:08 +0200

gcc-13 (13.1.0-2) experimental; urgency=medium

  * Update to git 20230510 from the gcc-13 branch.
    - Fix PR tree-optimization/109778, PR target/108758 (PPC),
      PR target/109069 (PPC), PR libgomp/108098, PR target/109762 (AArch64),
      PR tree-optimization/109609, PR rtl-optimization/109585,
      PR tree-optimization/109573, PR c/109409, PR c/107682, PR c/109412,
      PR c/107041, PR debug/109676, PR target/109535 (RISCV), PR c++/109756,
      PR c++/109642, PR c++/109640, PR c++/109671, PR c++/109666, PR c++/108099,
      PR libstdc++/109694, PR libstdc++/108969, PR libstdc++/109703,
      PR libstdc++/40380, PR fortran/109622, PR fortran/109622,
      PR libffi/109447.
  * Add build support for hurd-amd64 (Samuel Thibault). Closes: #1035614.

 -- Matthias Klose <doko@debian.org>  Wed, 10 May 2023 13:43:04 +0200

gcc-13 (13.1.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 Apr 2023 12:12:53 +0200

gcc-13 (13.1.0-1) experimental; urgency=medium

  * GCC 13.1.0 release.
  * Update NEWS files.
  * Refresh patches.
  * Update cross-install-location patch (Helmut Grohne). Closes: #1034293.

 -- Matthias Klose <doko@debian.org>  Thu, 27 Apr 2023 11:28:53 +0200

gcc-13 (13-20230320-1ubuntu1) lunar; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 20 Mar 2023 12:39:00 +0100

gcc-13 (13-20230320-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Pass GM2_FOR_TARGET for cross builds (Helmut Grohne). Addresses: #1032161.

 -- Matthias Klose <doko@debian.org>  Mon, 20 Mar 2023 12:31:54 +0100

gcc-13 (13-20230305-1ubuntu1) lunar; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Mar 2023 10:25:05 +0100

gcc-13 (13-20230305-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * On x86, hwasan is only available for 64bit multilibs, don't generate
    dependencies on any other hwasan multilib packages.
    TODO: Package lib64hwasan for i386 and x32.

 -- Matthias Klose <doko@debian.org>  Sun, 05 Mar 2023 10:09:24 +0100

gcc-13 (13-20230215-1ubuntu2) lunar; urgency=medium

  * On x86, hwasan is only available for 64bit multilibs, don't generate
    dependencies on any other hwasan multilib packages.
    TODO: Package lib64hwasan for i386 and x32.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Feb 2023 07:30:16 +0100

gcc-13 (13-20230215-1ubuntu1) lunar; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Feb 2023 11:20:27 +0100

gcc-13 (13-20230210-1ubuntu1) lunar; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Feb 2023 08:27:01 +0100

gcc-13 (13-20230210-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

  [Matthias Klose]
  * Use the libexec subdir.

  [YunQiang Su]
  * Update multiarch patches for mips r6.
  * Update the update-patches target.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Feb 2023 07:01:03 +0100

gcc-13 (13-20230127-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Update cross-install patches.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Jan 2023 07:14:40 +0100

gcc-13 (13-20230126-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Update newlib to 4.3.0.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Jan 2023 10:01:37 +0100

gcc-13 (13-20230114-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 14 Jan 2023 08:49:10 +0100

gcc-13 (13-20230106-1ubuntu1) lunar; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Jan 2023 11:54:22 +0100

gcc-13 (13-20230106-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Fix libstdc++ symbols file, not distinguishing versions for some
    symbols.
  * Ship hwasan on amd64.
  * Bump libgm2 soversion.
  * Refresh patches.
  * Update libgomp, liblsan, libhwasan, libubsan and libstdc++ symbols files.

 -- Matthias Klose <doko@debian.org>  Fri, 06 Jan 2023 16:17:07 +0100

gcc-13 (13-20221231-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Fix gccrs symlink. Closes: #1027099.
  * Update multiarch patch for looongson. Addresses: #1027278.

 -- Matthias Klose <doko@debian.org>  Sat, 31 Dec 2022 12:38:04 +0100

gcc-13 (13-20221226-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk (m2 and rs merged).
  * Drop gdc build dependency on unsupported architectures. Closes: #1026201.
  * Install versioned gm2 doc files. Closes: #1026245.

 -- Matthias Klose <doko@debian.org>  Mon, 26 Dec 2022 16:33:56 +0100

gcc-13 (13-20221214-1ubuntu1) lunar; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Dec 2022 08:27:19 +0100

gcc-13 (13-20221214-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Update newlib to 4.2.0.
  * Refresh patches.
  * Update symbols files.
  * Bump libgo and libgphobos sonames.
  * Bump standards version.
  * Split out a gm2-13-doc package.
  * Don't strip executables for test builds.
  * Fix PR ada/107475, proposed patch.
  * Add conflicts to packages built from the gcc-12 source.
  * Add gccrs packaging bits.
  * Build libatomic in the rtlibs stage (Helmut Grohne). See: #1009286.
  * Add multiarch support for loongarch.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Dec 2022 08:22:59 +0100

gcc-12 (12.2.0-10ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Dec 2022 09:10:41 +0100

gcc-12 (12.2.0-10) unstable; urgency=medium

  * Update to git 20221211 from the gcc-12 branch.
    - Fix PR tree-optimization/107956, PR target/107863 (x86),
      PR d/105659, PR rtl-optimization/107482, PR target/107748 (x86),
      PR target/107183, PR target/107713, PR tree-optimization/107206,
      PR target/107304 (x86), PR c/41041, PR target/107404 (x86),
      PR tree-optimization/107121, PR c/107001, PR c++/107358, PR c/106981,
      PR c++/104066, PR c++/105774, PR c++/106829, PR d/107592,
      PR fortran/107576, PR target/104688 (x86), PR libstdc++/91456,
      PR libstdc++/106201, PR libstdc++/107801, PR libstdc++/95048,
      PR libstdc++/103295.
  * Add multiarch support for loongarch (Dandan Zhang). Closes: #1023785.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Dec 2022 18:52:56 +0100

gcc-12 (12.2.0-9ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 Nov 2022 09:45:47 +0100

gcc-12 (12.2.0-9) unstable; urgency=medium

  * Update to git 20221103 from the gcc-12 branch.
    - Fix PR c++/107358, PR c++/105774, PR tree-optimization/107121,
      PR c/107001, PR c/106981, PR c++/106829.
  * Fix PR ada/107475, proposed patch.
  * gm2-12-doc: Add missing Breaks+Replaces to gm2-12. Closes: #1023324.
  * Remove the armel specific libstdc++ symbols file. Closes: #1022935.
  * Build libatomic in the rtlibs stage (Helmut Grohne). Closes: #1009286.

 -- Matthias Klose <doko@debian.org>  Thu, 03 Nov 2022 09:40:42 +0100

gcc-12 (12.2.0-8ubuntu3) lunar; urgency=medium

  * Configure --with-tune=z16 on s390x.
  * Fix the binary-indep build.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Nov 2022 09:44:34 +0100

gcc-12 (12.2.0-8ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Oct 2022 14:45:50 +0100

gcc-12 (12.2.0-8) experimental; urgency=medium

  * Update to git 20221030 from the gcc-12 branch.
    - Fix PR middle-end/90115, PR target/106355 (S390), PR target/107364 (x86),
      PR target/105421 (GCN), PR tree-optimization/107323, PR fortran/100097,
      PR fortran/100098, PR fortran/103413, PR fortran/105633, PR lto/107418,
      PR middle-end/90115, PR target/105421.
  * Split out a gm2-12-doc package.
  * Update VCS attributes.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 31 Oct 2022 10:31:17 +0100

gcc-12 (12.2.0-7) unstable; urgency=medium

  * Update to git 20221021 from the gcc-12 branch.
    - Fix PR middle-end/100400, PR target/96072 (PPC), PR target/100645 (PPC).
  * Fix the binary-arch only build.

 -- Matthias Klose <doko@debian.org>  Fri, 21 Oct 2022 10:19:56 +0200

gcc-12 (12.2.0-6) unstable; urgency=medium

  * Update to git 20221019 from the gcc-12 branch.
    - Fix PR tree-optimization/106934, PR tree-optimization/106922,
      PR tree-optimization/106892, PR tree-optimization/105937,
      PR target/107064 (x86), PR fortran/106817, PR fortran/105012,
      PR fortran/100040, PR fortran/100029, PR fortran/106579,
      PR middle-end/106548, PR libstdc++/106320, PR libstdc++/106695,
      PR libstdc++/106607, PR libstdc++/106589, PR libstdc++/105678,
      PR target/99685 (PPC), PR tree-optimization/107254,
      PR tree-optimization/107212, PR tree-optimization/107160,
      PR tree-optimization/107107, PR tree-optimization/106922,
      PR tree-optimization/106922, PR target/107248 (SPARC), PR c++/106925.
  * Fix libstdc++ build on the Hurd. Closes: #1021357.
  * gobjc: drop obsolete sparc-only conflict (Helmut Grohne). Closes: #1020599.
  * gobjc: remove unused binary-without-manpage lintian overrides (Helmut
    Grohne). Closes: #1020600.
  * Include the Modula-2 documentation into the gm2-12 package.
  * Handle the "bookworm" release name instead of "sid".
  * Backport two newlib patches for the nvptx target.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Oct 2022 07:38:40 +0200

gcc-12 (12.2.0-5) unstable; urgency=medium

  * Update libgcc symbols file for arc.
  * Work around building libobjc on arc.
  * Don't build Ada, D and Go on arc.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Oct 2022 10:47:38 +0200

gcc-12 (12.2.0-4) unstable; urgency=medium

  * Update to git 20221004 from the gcc-12 branch.
    - Fix PR target/107061 (x86), PR middle-end/106982,
      PR target/106491 (AArch64), PR target/104482 (PPC),
      PR target/105485 (PPC), PR fortran/100103, PR fortran/100132,
      PR fortran/107054, PR fortran/82868, PR fortran/106985,
      PR fortran/106986.
  * Add multiarch patch for arc-linux-gnu. Closes: #989453.

 -- Matthias Klose <doko@debian.org>  Sun, 02 Oct 2022 12:12:08 +0200

gcc-12 (12.2.0-3ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Sep 2022 10:14:52 +0200

gcc-12 (12.2.0-3) unstable; urgency=medium

  * Update to git 20220920 from the gcc-12 branch.
    - Fix PR tree-optimization/106860, PR tree-optimization/106841,
      PR tree-optimization/106809, PR c++/93259, PR c++/106893, PR c++/90451,
      PR fortran/106857, PR fortran/100245, PR libstdc++/106320.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Sep 2022 10:02:11 +0200

gcc-12 (12.2.0-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Sep 2022 16:05:19 +0200

gcc-12 (12.2.0-2) unstable; urgency=medium

  * Update to git 20220908 from the gcc-12 branch.
    - Fix PR target/101322 (PPC), PR rtl-optimization/106187,
      PR target/105463 (ARM), PR other/106782, PR other/106782,
      PR target/106524 (AArch64), PR target/106017 (PPC),
      PR target/106714 (x86), PR target/106721 (x86), PR target/106704 (x86),
      PR rtl-optimization/106590, PR target/106459 (loongarch),
      PR tree-optimization/106322, PR target/103353 (PPC), PR middle-end/106548,
      PR c++/106759, PR fortran/100136, PR fortran/106579, PR fortran/106579,
      PR fortran/103694, PR fortran/106566, PR libstdc++/106695,
      PR libstdc++/106607, PR libstdc++/106589, PR libstdc++/105678.

 -- Matthias Klose <doko@debian.org>  Thu, 08 Sep 2022 15:52:13 +0200

gcc-12 (12.2.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Aug 2022 09:58:01 +0200

gcc-12 (12.2.0-1) unstable; urgency=medium

  * GCC 12.2.0 release.
  * Strip the cc* executables again. Closes: #1015185.
  * cpp-12: Suggest cpp-12-doc. Closes: #1016930.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Aug 2022 09:38:01 +0200

gcc-12 (12.1.0-8ubuntu2) kinetic; urgency=medium

  * No-change upload for glibc private abi changes on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Aug 2022 17:43:46 +0200

gcc-12 (12.1.0-8ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Aug 2022 21:25:03 +0200

gcc-12 (12.1.0-8) unstable; urgency=medium

  * Update to git 20220809 from the gcc-12 branch.
    - Fix PR testsuite/106345, PR target/106091 (PPC), PR middle-end/106449,
      PR debug/106261, PR middle-end/106144, PR tree-optimization/106189,
      PR lto/106129, PR tree-optimization/106087, PR tree-optimization/106063,
      PR tree-optimization/105665, PR tree-optimization/100810,
      PR middle-end/106331, PR tree-optimization/106131, PR middle-end/106027,
      PR tree-optimization/106112, PR tree-optimization/105971,
      PR tree-optimization/105969, PR middle-end/105965, PR target/105459,
      PR tree-optimization/105946, PR analyzer/106225, PR analyzer/106204,
      PR analyzer/105285, PR preprocessor/97498, PR c++/106311, PR c++/106230,
      PR c++/105912, PR c++/105842, PR c++/53164, PR c++/105848,
      PR c++/105637, PR c++/100374, PR c++/105758, PR c++/96363,
      PR fortran/103504, PR fortran/101330, PR libfortran/106079,
      PR libstdc++/104443, PR libstdc++/106248, PR libstdc++/105995,
      PR libstdc++/105957, PR libstdc++/105844, PR libstdc++/100823,
      PR libstdc++/88881, PR libstdc++/105880, PR d/106555 (closes: #1016701).
  * Update watch file.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Aug 2022 21:22:04 +0200

gcc-12 (12.1.0-7ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jul 2022 18:42:03 +0200

gcc-12 (12.1.0-7) unstable; urgency=medium

  * Remove the libphobos test forkgc2.d, hangs. See PR d/103944.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Jul 2022 18:35:43 +0200

gcc-12 (12.1.0-6) unstable; urgency=medium

  * Update to git 20210717 from the gcc-12 branch.
    - Fix PR rtl-optimization/105041, PR tree-optimization/105860,
      PR target/105930 (x86), PR tree-optimization/106114,
      PR target/105991 (PPC), PR target/106122 (x86), PR c++/106102,
      PR target/103722 (SH), PR bootstrap/105551, PR target/106097,
      PR c++/105626, PR c++/106024, PR c++/105541, PR c++/105779,
      PR c++/106024, PR d/106139, PR fortran/104313, PR fortran/103137,
      PR fortran/103138, PR fortran/103693, PR fortran/105243,
      PR fortran/106121, PR fortran/105954, PR fortran/105691,
      PR fortran/105813.
  * Apply a hack to build libgo on the Hurd. Closes: #1005297.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Jul 2022 11:18:47 +0200

gcc-12 (12.1.0-5ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Jun 2022 16:01:39 +0200

gcc-12 (12.1.0-5) unstable; urgency=medium

  * Update to git 20210629 from the gcc-12 branch.
    - Fix PR bootstrap/105551, PR rtl-optimization/106032, PR ipa/105600,
      PR middle-end/106030, PR target/106096, PR tree-optimization/105736,
      PR tree-optimization/105254, PR tree-optimization/105940,
      PR tree-optimization/105940, PR target/105960 (x86), PR ipa/105739,
      PR target/105209 (alpha), PR target/105970 (x86), PR middle-end/105998,
      PR middle-end/105951, PR target/105981 (ARM), PR target/104871 (Darwin),
      PR target/105599 (Darwin), PR target/105953 (x86), PR c++/105931,
      PR c++/105925, PR c++/105885, PR c++/105964, PR c++/105908,
      PR c++/106001, PR c++/105871, PR libgomp/106045.

  [ Matthias Klose ]
  * Fix PR bootstrap/105551, taken from the trunk.

  [ Nicolas Boulenguez ]
  * ada: move ada/debian_packaging.mk from the gcc-BV source package
    back to gnat.

 -- Matthias Klose <doko@debian.org>  Wed, 29 Jun 2022 15:42:10 +0200

gcc-12 (12.1.0-4) unstable; urgency=medium

  * Update to git 20210616 from the gcc-12 branch.
    - Fix PR target/105953 (x86).
  * Fix PR bootstrap/105551, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Jun 2022 07:16:59 +0200

gcc-12 (12.1.0-3ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jun 2022 01:35:41 +0200

gcc-12 (12.1.0-3) unstable; urgency=medium

  * Update to git 20210612 from the gcc-12 branch.
    - Fix PR target/105879 (xtensa), PR target/105854 (x86),
      PR tree-optimization/105786, PR tree-optimization/105726,
      PR middle-end/105711, PR middle-end/105604, PR ipa/105639,
      PR sanitizer/105729, PR sanitizer/105714, PR c/105635, PR target/101891,
      PR other/105527, PR target/105556 (PPC), PR tree-optimization/103116,
      PR tree-optimization/105618, PR rtl-optimization/105577,
      PR tree-optimization/105562, PR rtl-optimization/105559,
      PR middle-end/105537, PR tree-optimization/105431,
      PR tree-optimization/105458, PR target/105162 (AArch64),
      PR rtl-optimization/105455, PR c++/105756, PR c++/105852, PR c++/105761,
      PR c++/105761, PR c++/105795, PR c++/105734, PR c++/105779,
      PR c++/105491, PR c++/105652, PR c++/105655, PR c++/105623,
      PR c++/102307, PR c++/105725, PR c++/105589, PR c++/105191,
      PR c++/92385, PR c++/104470, PR c++/102651, PR c++/49387,
      PR d/105544, PR fortran/105230, PR preprocessor/105732, 
      PR gcov-profile/105535, PR libgomp/105745, PR libstdc++/105671,
      PR libstdc++/105681.
  * Reenable the jit build on m68k. Closes: #1009026.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Jun 2022 19:19:41 +0200

gcc-12 (12.1.0-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 May 2022 13:02:05 +0200

gcc-12 (12.1.0-2) unstable; urgency=medium

  * Update to git 20210513 from the gcc-12 branch.
    - Fix PR ipa/100413, PR tree-optimization/105528, PR target/105292 (SPARC),
      PR c++/105476, PR libstdc++/105284, PR libstdc++/105284,
      PR libstdc++/104731.
  * Refresh the cross-fixes patch.
  * Update NEWS files for GCC 12.1.

 -- Matthias Klose <doko@debian.org>  Fri, 13 May 2022 12:55:15 +0200

gcc-12 (12.1.0-1) unstable; urgency=medium

  * GCC 12.1.0 release.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Sun, 08 May 2022 15:44:36 +0200

gcc-12 (12-20220428-1ubuntu1) kinetic; urgency=medium

  * New upstream snapshot, taken from the gcc-12 branch.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Apr 2022 22:50:55 +0200

gcc-12 (12-20220428-1) unstable; urgency=medium

  * New upstream snapshot, taken from the gcc-12 branch.

  [ Matthias Klose ]
  * Don't enable -fcf-protection with -m16. LP: #1940029.
  * Update libgccjit and libgphobos symbols files.

  [ Nicolas Boulenguez ]
  * ada/confirm_debian_bugs.py: trivial update.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Apr 2022 20:10:12 +0200

gcc-12 (12-20220319-1ubuntu1) jammy; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Mar 2022 10:36:32 +0000

gcc-12 (12-20220319-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
    - Import go 1.18.0.
  * Disable the Ada ALI check before GCC 12 is released.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Mar 2022 08:39:27 +0100

gcc-12 (12-20220313-1ubuntu1) jammy; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Mar 2022 06:06:05 +0100

gcc-12 (12-20220313-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Use again GCC 11 for the bootstrap, and GCC 12 on alpha and m68k.
  * Fix PR target/104890, applying proposed patch.
  * Update libgphobos symbols file.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Mar 2022 06:02:13 +0100

gcc-12 (12-20220302-1ubuntu1) jammy; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Mar 2022 11:30:36 +0100

gcc-12 (12-20220302-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Reenable Ada on m68k; build using gcc-10 for the Ada bootstrap.
  * Update libgphobos symbols file.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Mar 2022 14:52:13 +0100

gcc-12 (12-20220222-1ubuntu1) jammy; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 22 Feb 2022 12:21:10 +0100

gcc-12 (12-20220222-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Reenable Ada on alpha. See PR target/98724.
  * Don't apply Ada patches when not building Ada.
  * Update the alpha-ieee patch for GCC 12.
  * Follow-up patch for PR go/104290 (Hurd) (Svante Signell).
  * Disable gnat on x32 with glibc << 2.35.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Feb 2022 12:15:48 +0100

gcc-12 (12-20220214-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Bump libgo soname, golang-1.18 import.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Feb 2022 04:01:08 +0100

gcc-12 (12-20220206-2) experimental; urgency=medium

  [ Matthias Klose ]
  * New upstream snapshot, taken from the trunk.
  * Update cross-build patches.

  [ Aurelien Jarno ]
  * For riscv64, change --with-arch to rv64gc (from rv64imafd).

 -- Matthias Klose <doko@debian.org>  Sun, 06 Feb 2022 13:20:19 +0100

gcc-12 (12-20220126-1ubuntu1) jammy; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 12:56:35 +0100

gcc-12 (12-20220126-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 26 Jan 2022 11:49:18 +0100

gcc-12 (12-20220119-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Disable D on ia64, m68k, sh4 and sparc64.
  * Disable D on KFreeBSD and the Hurd.
  * Revert the PR ada/79724 patch, conflicting with the local ada-gcc-name
    patch.
  * Apply proposed patch for PR ada/103538 for x32.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Jan 2022 10:31:16 +0100

gcc-12 (12-20220116-1ubuntu1) jammy; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 16 Jan 2022 18:19:48 +0100

gcc-12 (12-20220116-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Remove the gdc-driver-nophobos patch.
  * Configure instead with --with-libphobos-druntime-only=yes.

 -- Matthias Klose <doko@debian.org>  Sun, 16 Jan 2022 16:43:31 +0100

gcc-12 (12-20220106-1ubuntu1) jammy; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Dec 2021 14:12:31 +0100

gcc-12 (12-20211206-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Add gdc as a build dependency for native builds.
  * Update symbols files for libgcc-s, libgccjit, libgphobos.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Dec 2021 11:03:14 +0100

gcc-12 (12-20211127-1ubuntu1) jammy; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 27 Nov 2021 09:02:07 +0100

gcc-12 (12-20211127-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Nov 2021 08:51:55 +0100

gcc-12 (12-20211126-1ubuntu1) jammy; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 26 Nov 2021 10:09:41 +0100

gcc-12 (12-20211126-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Lower severity of the gcc-N-base packages. Addresses: #997826.
  * Fix gcc-12-locales build. Closes: #999764.
  * Fix the gcc-12 cross builds (Helmut Grohne). Closes: #1000459.
  * Configure --with-cpu=power9 on ppc64el on the Ubuntu development
    release.

 -- Matthias Klose <doko@debian.org>  Fri, 26 Nov 2021 10:00:23 +0100

gcc-12 (12-20211117-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Drop brig/libhsail packaging bits.
  * Update breaks/replaces, update textdomain. Closes: #999764.
  * Move libtsan_preinit.o into libgcc-12-dev. Closes: #999752.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Nov 2021 22:08:35 +0100

gcc-12 (12-20211113-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Configure with --enable-offload-defaulted.

 -- Matthias Klose <doko@debian.org>  Sat, 13 Nov 2021 15:13:11 +0100

gcc-11 (11.2.0-10ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Oct 2021 11:53:29 +0200

gcc-11 (11.2.0-10) unstable; urgency=medium

  * Update to git 20211021 from the gcc-11 branch.
    - Fix PR rtl-optimization/102627, PR target/100340 (Darwin),
      PR target/102588 (SPARC), PR debug/102441, PR libstdc++/101583,
      PR libstdc++/102592, PR libstdc++/100187, PR libstdc++/100237,
      PR libstdc++/100249, PR libstdc++/100287, PR libstdc++/100285,
      PR libstdc++/100863, PR libstdc++/100863, PR libstdc++/65816,
      PR libstdc++/102048, PR libstdc++/90787, PR libstdc++/101599,
      PR libstdc++/101589, PR libstdc++/101483, PR libstdc++/100606,
      PR libstdc++/101960, PR c++/102535, PR libstdc++/101960,
      PR libstdc++/101870, PR libstdc++/101923, PR libstdc++/102425,
      PR libstdc++/101761, PR libstdc++/99876, PR libstdc++/102074,
      PR libstdc++/102270, PR libstdc++/102270, PR libstdc++/102280,
      PR libstdc++/102667, PR target/102761 (x86), PR target/100316 (RISCV),
      PR target/100208 (GCN), PR ada/100486, PR c++/102642, PR fortran/102745,
      PR fortran/102716.

  [ Nicolas Boulenguez ]
  * ada/check_ali_update: add tests, print changed sources with changed .ali
    files, always report, interrupt when DEB_CHECK_ALI_UPDATE.
  * ada/debian_packaging.mk: drop BUILDER_JOBS now redundant with
    dpkg/buildopts.mk.
  * ada/debian_packaging.mk: update comments.
  * ada: avoid -L for local links with freshly built objects.
  * ada/confirm_debian_bugs.py: remove bugs fixed in gnat-11.
  * libgnat: strip unreproducible build flags from libgnat-dev .ali files.

  [ Matthias Klose ]
  * Backport amdgcn changes from the trunk:
    - Fix register issue for global_load assembler functions.
    - amdgcn: Add -mxnack and -msram-ecc [PR 100208].
    - amdgcn: Fix attributes for LLVM-12 [PR 100208].
    - Support LLVM 13 assembler syntax.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Oct 2021 10:17:22 +0200

gcc-11 (11.2.0-9) unstable; urgency=medium

  * Update to git 20211010 from the gcc-11 branch.
    - Fix PR debug/102441, PR c++/98216, PR c++/91292, PR debug/102373,
      PR c++/64697, PR target/102498 (x86), PR tree-optimization/102400,
      PR tree-optimization/102451, PR sanitizer/102515, PR c++/102640,
      PR c++/99904, PR c++/102547, PR c++/102535, PR c++/95567, PR c++/102412,
      PR c++/98486, PR c++/102163, PR c++/101344, PR c++/101803,
      PR c++/101883, PR c++/102548, PR c++/102496, PR c++/102454,
      PR d/102574, PR fortran/102458, PR fortran/102458, PR fortran/102520,
      PR libgomp/96661.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Oct 2021 18:52:10 +0200

gcc-11 (11.2.0-8) unstable; urgency=medium

  * Update to git 20210924 from the gcc-11 branch.
    - Fix PR target/102107 (PPC), PR target/102107 (PPC), PR fortran/102366,
      PR fortran/102287, PR fortran/102311, PR target/102222 (S390),
      PR tree-optimization/102400, PR tree-optimization/102451.
  * ARM: pass architecture extensions to assembler if supported. Backported
    from the trunk.

 -- Matthias Klose <doko@debian.org>  Fri, 24 Sep 2021 08:44:25 +0200

gcc-11 (11.2.0-7ubuntu2) impish; urgency=medium

  * Update to git 20210923 from the gcc-11 branch.
    - Fix PR target/102107 (PPC), PR target/102107 (PPC), PR fortran/102366,
      PR fortran/102287, PR fortran/102311, PR target/102222 (S390).
  * ARM: pass architecture extensions to assembler if supported. Backported
    from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Sep 2021 08:42:18 +0200

gcc-11 (11.2.0-7ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Sep 2021 10:28:12 +0200

gcc-11 (11.2.0-7) unstable; urgency=medium

  * Update to git 20210918 from the gcc-11 branch.
    - Fix PR rtl-optimization/102306, PR target/101934 (AArch64), PR c++/88578,
      PR c++/102295, PR target/97142 (PPC), PR ada/101970, PR c++/102305,
      PR d/102185, PR fortran/85130, PR fortran/82314, PR fortran/98490,
      PR fortran/101327.
  * Fix libgcc-s1 symbols file for alpha.
  * Don't build libjit on kfreebsd. See #994035.

 -- Matthias Klose <doko@debian.org>  Sun, 19 Sep 2021 10:08:56 +0200

gcc-11 (11.2.0-5ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Sep 2021 17:38:45 +0200

gcc-11 (11.2.0-5) unstable; urgency=medium

  * Update to git 20210909 from the gcc-11 branch.
    - Fix PR c++/60318, PR target/102224 (x86), PR target/102115 (xtensa),
      PR tree-optimization/102046, PR tree-optimization/101925,
      PR middle-end/101824, PR target/102166 (x86), PR target/101849 (PPC),
      PR c++/100495, PR fortran/100950, PR fortran/100950, PR fortran/102113.
  * Configure again with --enable-cet, amd64 and x32 only. Closes: #993626.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Sep 2021 13:48:13 +0200

gcc-11 (11.2.0-4) unstable; urgency=medium

  * Update to git 20210902 from the gcc-11 branch.
    - Fix PR target/101472 (x86), PR target/99744 (x86), PR target/101492 (x86),
      PR target/101549 (x86), PR target/101471 (x86), PR target/102035 (ARM),
      PR target/102035 (ARM), PR middle-end/101949, PR ipa/97565,
      PR debug/101905, PR gcov-profile/89961, PR fortran/87737,
      PR fortran/46691, PR fortran/99819, PR fortran/98411, PR libstdc++/101965,
      PR libstdc++/100682, PR libstdc++/100285, PR libstdc++/100180,
      PR libstdc++/100286, PR libstdc++/100351, PR libstdc++/100286,
      PR libstdc++/100285, PR libstdc++/100180, PR c++/101592,
      PR tree-optimization/102124, PR target/101472 (x86),
      PR target/99744 (x86), PR target/101492 (x86), PR target/101549 (x86),
      PR target/101471 (x86), PR target/102035 (ARM), PR target/102035 (ARM),
      PR middle-end/101949, PR ipa/97565, PR debug/101905,
      PR gcov-profile/89961, PR fortran/87737, PR fortran/46691,
      PR fortran/99819, PR fortran/98411, PR libstdc++/101965,
      PR libstdc++/100682, PR libstdc++/100285, PR libstdc++/100180,
      PR libstdc++/100286, PR libstdc++/100351, PR libstdc++/100286,
      PR libstdc++/100285, PR libstdc++/100180.
  * Again, for armhf configure --with-arch=<arch>+fp, dropping the --with-fpu=
    option; keep the old configure options for backports.
  * Update libgcc-s1 symbols file for sh4.
  * Remove trailing spaces in symbols files.
  * Don't configure with --enable-cet on x86 for Debian (old hardware is more
    valued than recent security features).  Closes: #993162, #993172.
  * Don't run the tests with the installed libstdc++ on slow buildds.
  * Build again for mipsel and mips64el, too much hassle with separate sources.
  * Disable the lto build on sparc64, memory issues on the buildd.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Sep 2021 12:23:43 +0200

gcc-11 (11.2.0-3ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Aug 2021 12:40:34 +0200

gcc-11 (11.2.0-3) unstable; urgency=high

  * Update to git 20210823 from the gcc-11 branch.
    - Fix PR target/101723 (ARM), PR tree-optimization/101373,
      PR tree-optimization/101868, PR ipa/100600, PR ipa/101261,
      PR ipa/101726, PR c/100150, PR fortran/99351, PR libstdc++/100139.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Aug 2021 12:15:54 +0200

gcc-11 (11.2.0-2) unstable; urgency=medium

  * Update to git 20210815 from the gcc-11 branch.
    - Fix PR middle-end/101586, PR rtl-optimization/101562, PR d/101640,
      PR d/101490, PR d/101441, PR d/101127, PR d/101619, PR d/96435,
      PR d/101664, PR target/101531 (PPC), PR fortran/101536,
      PR fortran/101514, PR fortran/101084, PR tree-optimization/101505,
      PR target/100952 (PPC), PR target/94780 (MIPS), PR target/101132 (MIPS),
      PR c/101512, PR sanitizer/101749, PR c++/101725, PR c++/100828,
      PR fortran/101564, PR libstdc++/101866, PR libstdc++/101510,
      PR libstdc++/101510, PR libstdc++/101056, PR libstdc++/101258,
      PR gcov-profile/100788, PR middle-end/101624, PR c++/101759,
      PR c++/101663, PR preprocessor/101638.
  * Again, configure explicitly --with-fpu=vfpv3-d16 on armhf.
  * Stop building the native compilers for mipsen targets from this source
    package. See https://lists.debian.org/debian-gcc/2021/05/msg00011.html.
  * Update binutils version requirements.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Aug 2021 23:09:35 +0200

gcc-11 (11.2.0-1ubuntu3) impish; urgency=medium

  * Update to git 20210812 from the gcc-11 branch.
    - Fix PR middle-end/101586, PR rtl-optimization/101562, PR d/101640,
      PR d/101490, PR d/101441, PR d/101127, PR d/101619, PR d/96435,
      PR d/101664, PR target/101531 (PPC), PR fortran/101536,
      PR fortran/101514, PR fortran/101084, PR tree-optimization/101505,
      PR target/100952 (PPC), PR target/94780 (MIPS), PR target/101132 (MIPS),
      PR c/101512, PR sanitizer/101749, PR c++/101725, PR c++/100828,
      PR fortran/101564, PR libstdc++/101866, PR libstdc++/101510,
      PR libstdc++/101510, PR libstdc++/101056, PR libstdc++/101258.
  * Again, configure explicitly --with-fpu=vfpv3-d16 on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Aug 2021 09:19:46 +0200

gcc-11 (11.2.0-1ubuntu2) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Jul 2021 17:08:14 +0200

gcc-11 (11.2.0-1) experimental; urgency=medium

  * GCC 11.2.0 release.
  * Update gm2 from the gm2 gcc-11 branch.
  * Refresh patches.
  * Update libgfortran symbols file.
  * Update libgphobos symbols file.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Jul 2021 15:36:39 +0200

gcc-11 (11.1.0-4ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Jul 2021 10:29:20 +0200

gcc-11 (11.1.0-4) experimental; urgency=medium

  * Update to git 20210714 from the gcc-11 branch.
    - Fix PR middle-end/101291, PR tree-optimization/101394, PR ipa/101066,
      PR middle-end/101423, PR tree-optimization/100778, PR target/101377,
      PR tree-optimization/100778, PR tree-optimization/101229,
      PR tree-optimization/101173, PR tree-optimization/101280,
      PR middle-end/101156, PR tree-optimization/100923,
      PR tree-optimization/101088, PR tree-optimization/101025,
      PR tree-optimization/101158, PR tree-optimization/101151,
      PR tree-optimization/101105, PR middle-end/100672, PR target/101175,
      PR middle-end/101167, PR inline-asm/100785, PR target/100310 (x86),
      PR target/100856 (ARM), PR target/101016 (ARM), PR middle-end/101062,
      PR middle-end/101062, PR target/100777 (PPC), PR target/99842 (PPC),
      PR middle-end/100876, PR c++/100876, PR middle-end/100732,
      PR middle-end/100684, PR middle-end/100574, PR middle-end/100307,
      PR middle-end/100250, PR target/100871 (S390), PR target/101046,
      PR rtl-optimization/101008, PR debug/100852, PR target/100887,
      PR middle-end/100898, PR target/100887 (x86), PR middle-end/101009,
      PR tree-optimization/100981, PR tree-optimization/100934, PR ipa/100791,
      PR analyzer/99212, PR analyzer/101082, PR analyzer/99212,
      PR analyzer/100615, PR analyzer/100244, PR c++/100879, PR c/100783,
      PR c/100619, PR inline-asm/100785, PR c/100902, PR c++/101181,
      PR c++/101247, PR c++/101247, PR c++/101194, PR c++/98832,
      PR c++/101182, PR c++/100918, PR c++/97420, PR c++/101098, PR c++/100838,
      PR c++/86355, PR c++/101087, PR c++/101040, PR c++/97566, PR c++/100752,
      PR c++/101106, PR c/100902, PR c++/101078, PR c++/101029, PR c++/100946,
      PR d/101273, PR d/101282, PR d/100999, PR d/100967, PR fortran/100227,
      PR fortran/100283, PR fortran/101123, PR fortran/95501,
      PR fortran/95502, PR fortran/100965, PR c++/100796, PR preprocessor/96391,
      PR target/101235 (PPC), PR target/99939 (ARM), PR fortran/93524,
      PR middle-end/101167, PR libstdc++/91488, PR d/100999,
      PR libstdc++/100387, PR libstdc++/100806, PR libstdc++/95833,
      PR libstdc++/91488, PR libstdc++/100940, PR libstdc++/100940,
      PR libstdc++/100894, PR libstdc++/101034, PR libstdc++/101055,
      PR libstdc++/100475, PR libstdc++/100982, PR libstdc++/98842,
      PR libstdc++/100824, PR libstdc++/100824, PR libstdc++/100824,
      PR libstdc++/100577, PR libstdc++/100770, PR libstdc++/100690,
      PR libstdc++/100631, PR libstdc++/100631, PR libstdc++/100639.
  * Fix -fstack-protector on musl (Helmut Grohne). Closes: #989521.
  * Drop gdb build dependency on mipsel and mips64el for now.
    Addresses: #990842.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Jul 2021 10:19:29 +0200

gcc-11 (11.1.0-3ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Jun 2021 10:17:29 +0200

gcc-11 (11.1.0-3) experimental; urgency=medium

  * Update to git 20210610 from the gcc-11 branch.
    - Fix PR bootstrap/100731, PR c++/91859, PR middle-end/100576,
      PR rtl-optimization/100590, PR c++/100580, PR rtl-optimization/100342,
      PR target/94177 (PPC), PR target/100767 (ARM), PR target/99725 (ARM),
      PR target/100626 (x86), PR tree-optimization/100519, PR ipa/100513,
      PR middle-end/100509, PR tree-optimization/100492, PR target/99960 (ARM),
      PR c++/100281, PR target/99977 (ARM), PR bootstrap/100552,
      PR target/100419 (ARM), PR target/100563 (ARM),
      PR tree-optimization/100566, PR middle-end/100508, PR middle-end/100471,
      PR target/99988 (AArch64), PR c/100550, PR c++/91859, PR c++/100797,
      PR c++/95719, PR c++/100666, PR c++/100502, PR c++/100489,
      PR c++/100281, PR c++/100634, PR c++/100659, PR c++/100367,
      PR c++/96299, PR c++/100261, PR c++/100372, PR c++/100644,
      PR c++/100205, PR c++/93314, PR fortran/98411, PR fortran/100656,
      PR fortran/100602, PR fortran/100551, PR fortran/100633,
      PR preprocessor/100646, PR preprocessor/100392, PR middle-end/100471,
      PR sanitizer/100379, PR libstdc++/100676, PR libstdc++/100833,
      PR libstdc++/100768, PR libstdc++/99453, PR libstdc++/100479,
      PR libstdc++/100361, PR libstdc++/100630, PR libstdc++/99006,
      PR libstdc++/99453, PR target/100885 (x86), PR ipa/99122,
      PR target/100333 (ARM), PR c/100920, PR c++/100065, PR c++/100963,
      PR c++/91706, PR c++/100862, PR c++/100102, PR d/100964, PR d/100935,
      PR d/100882, PR fortran/98301, PR fortran/99839, PR libstdc++/100889,
      PR libstdc++/100900.
  * gcc-snapshot: Remove compiler provides. Addresses: #921877.
  * Update libasan6 symbols for riscv64 (Helmut Grohne). Closes: #989205.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Jun 2021 10:05:34 +0200

gcc-11 (11.1.0-2ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 May 2021 13:53:49 +0200

gcc-11 (11.1.0-2) experimental; urgency=medium

  * Update to git 20210508 from the gcc-11 branch.
    - Fix PR target/100200 (AArch64), PR target/100200 (AArch64),
      PR tree-optimization/100239, PR rtl-optimization/100254, PR debug/100255,
      PR rtl-optimization/100148, PR c++/89565, PR c++/93383, PR c++/95291,
      PR c++/99200, PR c++/99683, PR c++/100161, PR c++/96380,
      PR fortran/100218, PR fortran/100154, PR target/98952 (PPC),
      PR libstdc++/100290, PR rtl-optimization/100225, PR target/100402 (x86),
      PR rtl-optimization/84878, PR target/100217 (S390), PR target/100232,
      PR rtl-optimization/100263, PR rtl-optimization/100411,
      PR tree-optimization/100253, PR tree-optimization/100278, PR ipa/100308,
      PR tree-optimization/100414, PR tree-optimization/100329,
      PR target/100375 (nvptx), PR rtl-optimization/100230,
      PR target/100311 (ARM), PR target/100302 (AArch64),
      PR target/100305 (AArch64), PR target/100270 (AArch64),
      PR target/100236 (ARM), PR target/100182 (x86), PR c++/100362,
      PR c++/100319, PR fortran/100274, PR c/100450, PR target/98952 (PPC),
      PR libgomp/100352, PR libstdc++/100384, PR libstdc++/100259,
      PR libstdc++/100298, PR libstdc++/100290.
  * Don't revert the PR 85678 patch anymore for backports (defaulting
    to -fcommon everywhere).
  * Remove obsolete verbose-lto-linker patch.
  * Remove obsolete libgomp-no-werror patch.
  * Remove the obsolete Linaro build support and patches.
  * Fix building the libhwasan0-dbg package.
  * Remove some obsolete breaks, conflicts, replaces.
  * Fix running the libstdc++-v3 tests against the installed libstdc++6,
    when the libstdc++6 package is not built from this source.
  * README.source: Document how to run a single test.
  * Don't run some tests from the guality test suite on armhf. These fail
    on every target, but seem to hang on the buildds occasionally on armhf.
  * Don't apply the arm-multilib-soft patch when building without
    armhf/armsf multilib packages.
  * Lower the dejagnu timeout on armhf from 600 to 300.
  * For armhf configure --with-arch=<arch>+fp, dropping the --with-fpu= option.
  * Explicitly call autoconf2.69 where necessary.
  * Remove packaging support for oldish backports. Last supported releases
    are Debian 8 (jessie) and Ubuntu 12.04 LTS (precise).
  * Fix building the gcn offload compiler without the nvptx offload compiler.
  * README.snapshot: Update wrapper script. Addresses: #862176.

 -- Matthias Klose <doko@debian.org>  Sat, 08 May 2021 13:50:11 +0200

gcc-11 (11.1.0-1ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 Apr 2021 13:54:40 +0200

gcc-11 (11.1.0-1) experimental; urgency=medium

  * GCC 11.1.0 release.
  * Refresh patches.
  * Update gm2 from the gm2 trunk.
  * gm2: Ignore gm2version.o stage diff, needed at least on some
    archtectures (m68k, riscv64)
  * Only apply the gm2-texinfo patch for dfsg builds.
  * Configure with --enable-checking=release.
  * Disable usage stats for release builds.
  * Update and re-apply the gcc-foffload-default patch.
  * Update NEWS.html and gcc.css, remove fav.ico, and use the local gcc.css.
  * html2text -ascii -style pretty debian/NEWS.html > debian/NEWS.gcc.
  * Enable the address sanitizer for riscv64.

 -- Matthias Klose <doko@debian.org>  Tue, 27 Apr 2021 13:50:54 +0200

gcc-11 (11-20210424-1ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Configure with --enable-checking=release.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Apr 2021 08:29:45 +0200

gcc-11 (11-20210424-1) experimental; urgency=medium

  * GCC 11 release candidate 2, taken from the gcc-11 branch (20210424)

 -- Matthias Klose <doko@debian.org>  Sat, 24 Apr 2021 08:00:02 +0200

gcc-11 (11-20210420-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Configure with --enable-checking=release.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Apr 2021 15:46:17 +0200

gcc-11 (11-20210420-1) experimental; urgency=medium

  * GCC 11 release candidate 1, taken from the gcc-11 branch (20210420)
  * Update gm2 from the gm2 trunk.
  * Revert the fix for PR target/100067, breaking the ARM multilib build.
  * Update watch file.
  * Stop building sf/hf multilibs on upcoming Ubuntu releases.
  * Update libgphobos symbols file.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Apr 2021 15:31:57 +0200

gcc-11 (11-20210417-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210417)
  * Use explicit autoconf version for bullseye.
  * Update libgphobos symbols file.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Apr 2021 11:29:15 +0200

gcc-11 (11-20210412-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Configure with --enable-checking=release.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Apr 2021 13:53:05 +0200

gcc-11 (11-20210412-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210412)
  * Update libgphobos symbols file.

 -- Matthias Klose <doko@debian.or>  Sun, 11 Apr 2021 13:46:08 +0200

gcc-11 (11-20210404-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Configure with --enable-checking=release.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 04 Apr 2021 13:47:58 +0200

gcc-11 (11-20210404-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210404)
  * Update libgphobos symbols file.

 -- Matthias Klose <doko@debian.org>  Sun, 04 Apr 2021 13:42:51 +0200

gcc-11 (11-20210327-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Configure with --enable-checking=release.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 27 Mar 2021 13:25:28 +0100

gcc-11 (11-20210327-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210327)
    - Fix bootstrap on s390x.
    - Fix PR target/99422. Closes: #984870.
    - Fix PR sanitizer/98920. Closes: #949192.
  * Fix packaging of snapshot builds, really include the jit build in
    the snapshot build.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Mar 2021 13:19:03 +0100

gcc-11 (11-20210322-0ubuntu1) hirsute; urgency=medium

  * GCC snapshot, taken from the trunk (20210322)
    - Fix PR target/99663, bootstrap on s390x.
  * Configure with --enable-checking=release.
  * Turn off the test suite again, stuck on some buildds.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Mar 2021 18:55:27 +0100

gcc-11 (11-20210319-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Mar 2021 10:03:38 +0100

gcc-11 (11-20210319-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210319)
  * Fix --as-needed specs for -fsanitize=* options for backports.
  * Export DEB_CHECK_ALI_UPDATE=1 (currently commented out). This should be
    checked after the gnat transition has been prepared in experimental, and
    just before doing the gnat's defaults change in unstable.
  * debian/ada/check_ali_update.sh: Fix syntax errors.
    Always run the script.
  * Disable building gnat on alpha, see PR ada/98724.
  * Also build unstripped frontends on mipsel/mips64el.
  * Update libgphobos symbols file.
  * Don't remove files in debian/tmp-{nvptx,gcn} when building the binary
    targets. The installed offload compilers are needed to run the tests.
  * Allow to save some disk space for the build, by
    - saving the files needed for the hppa64 and jit builds, and removing
      the build directories.
    - saving the results from the check runs, and removing files created
      during the check runs.
  * Fix installation of the jit header files.

 -- Matthias Klose <doko@debian.org>  Fri, 19 Mar 2021 09:57:02 +0100

gcc-11 (11-20210313-0ubuntu1) hirsute; urgency=medium

  * GCC snapshot, taken from the trunk (20210313)
  * Run the testsuite during the build.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 13 Mar 2021 12:21:04 +0100

gcc-11 (11-20210310-2) UNRELEASED; urgency=medium

  * Fix --as-needed specs for -fsanitize=* options for backports.
  * Export DEB_CHECK_ALI_UPDATE=1 (currently commented out). This should be
    checked after the gnat transition has been prepared in experimental, and
    just before doing the gnat's defaults change in unstable.
  * debian/ada/check_ali_update.sh: Fix syntax errors.
    Always run the script.
  * Disable building gnat on alpha, see PR ada/98724.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Mar 2021 14:31:38 +0100

gcc-11 (11-20210310-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Mar 2021 12:06:48 +0100

gcc-11 (11-20210310-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210310)
  * Work around dwz issue on mips64el stripping go1.
  * Replace @tie{} string with a space in the man pages. LP: #1405685.
  * Don't run the memory usage stats on m68k.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Mar 2021 11:46:55 +0100

gcc-11 (11-20210306-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build with --disable-libsanitizer for now, sanitizer sonames might
      still change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Mar 2021 12:03:03 +0100

gcc-11 (11-20210306-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210306)
  * Update libgphobos symbols file.
  * Fix unstripped gcc-snapshot builds.

 -- Matthias Klose <doko@debian.org>  Sat, 06 Mar 2021 11:55:56 +0100

gcc-11 (11-20210227-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210227)
  * Build gnat/alpha again in snapshot and cross builds.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Feb 2021 09:46:52 +0100

gcc-11 (11-20210220-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build with --disable-libsanitizer for now, sanitizer sonames might
      still change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Feb 2021 17:25:22 +0100

gcc-11 (11-20210220-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210220)
  * Apply proposed patch for PR ada/98996.
  * Update libgphobos symbols file.
  * Update usage-wrapper script.

 -- Matthias Klose <doko@debian.org>  Sat, 20 Feb 2021 17:21:38 +0100

gcc-11 (11-20210207-1ubuntu1) hirsute; urgency=medium

  * GCC snapshot, taken from the trunk (20210130)
  * Build with --disable-libsanitizer for now, sanitizer sonames might
    still change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2021 15:21:00 +0100

gcc-11 (11-20210203-0ubuntu1) hirsute; urgency=medium

  * GCC snapshot, taken from the trunk (20210203)
  * Update libstdc++ symbols file for ppc64el and s390x.
  * Explicitly configure with --enable-s390-excess-float-precision on s390x
    to match the behaviour of the default GCC (gcc-10).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Feb 2021 13:30:57 +0100

gcc-11 (11-20210130-1ubuntu1) hirsute; urgency=medium

  * GCC snapshot, taken from the trunk (20210130)
  * Build with --disable-libsanitizer for now, sanitizer sonames might
    still change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Jan 2021 13:05:10 +0100

gcc-11 (11-20210130-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210130)
    - libgo 1.16 release candidate 1.
  * Remove the work around for PR ada/98228, fixed.
  * Disable profiled bootstrap on powerpc as a test ...
  * Disable lto build on ia64 as a test ...
  * Don't turn on DWARF 5 by default, where GCC 11 is not the default..
  * Require binutils 2.25.2 when defaulting to DWARF 5.
  * Update libgphobos symbols file.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 30 Jan 2021 13:00:42 +0100

gcc-11 (11-20210123-1ubuntu1) hirsute; urgency=medium

  * GCC snapshot, taken from the trunk (20210123)

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Jan 2021 15:02:14 +0100

gcc-11 (11-20210123-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210123)
  * Update gm2 from the gm2 trunk.
  * Explicitly use autoconf2.69 where necessary.
  * Use the same breaks relations for libgcc-s2 and libgcc-s4 as for
    libgcc-s1. Addresses: #980770.

 -- Matthias Klose <doko@debian.org>  Sat, 23 Jan 2021 13:12:36 +0100

gcc-11 (11-20210116-1ubuntu1) hirsute; urgency=medium

  * GCC snapshot, taken from the trunk (20210116)

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Jan 2021 15:54:31 +0100

gcc-11 (11-20210116-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210116)
  * Fix --enable-link-serialization=1, and enable LTO builds on ppc64el again.
  * Update libgphobos symbols file.
  * gcc: Prefix LLINKER with /usr/bin/time -v.
  * Don't build runtime libraries for the jit build.
  * Apply proposed fix for PR go/98496 (Svante Signell).
  * Work around PR ada/98228, not using lto for gnat1 on s390x.
  * PR sanitizer/98699: Don't enable --as-needed with -fsanitize=* options.
  * Use --push-state/--pop-state for gold everywhere.
  * Fix parallel linking of cc1gm2.
  * Allow to build with some memory usage statistics.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Jan 2021 15:49:18 +0100

gcc-11 (11-20210112-0ubuntu1) hirsute; urgency=medium

  * GCC snapshot, taken from the trunk (20210112)

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Jan 2021 18:57:20 +0100

gcc-11 (11-20210112-1) UNRELEASED; urgency=medium

  * GCC snapshot, taken from the trunk (20210112)
  * Fix --enable-link-serialization=1, and enable LTO builds on ppc64el again.
  * Update libgphobos symbols file.
  * gcc: Prefix LLINKER with /usr/bin/time -v.
  * Don't build runtime libraries for the jit build.
  * Apply proposed fix for PR go/98496 (Svante Signell).
  * Work around PR ada/98228, not using lto for gnat1 on s390x.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Jan 2021 14:40:39 +0100

gcc-11 (11-20210110-1ubuntu1) hirsute; urgency=medium

  * GCC snapshot, taken from the trunk (20210110)

 -- Matthias Klose <doko@ubuntu.com>  Sun, 10 Jan 2021 16:22:31 +0100

gcc-11 (11-20210110-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210110)
  * Build the gcn offload compiler based on amdgcn-tools (based on LLVM 9),
    remove the conflict with gcc-10-offload-amdgcn.
  * Limit lto links on sparc64.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Jan 2021 13:01:43 +0100

gcc-11 (11-20210109-2) experimental; urgency=medium

  * Support link serialization for m2.
  * Fix -Wformat-diag warnings for power*-linux builds.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Jan 2021 20:27:49 +0100

gcc-11 (11-20210109-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210109)
  * Provide timing and resource information for all builds.
  * Build the offload compilers using newlib 4.1.0.
  * gcc-11-source: Depend on time.
  * Disable the lto build on s390x, PR ada/98228.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Jan 2021 18:48:15 +0100

gcc-11 (11-20210107-0ubuntu1) hirsute; urgency=medium

  * GCC snapshot, taken from the trunk (20210107)

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jan 2021 12:32:09 +0100

gcc-11 (11-20210106-1) UNRELEASED; urgency=medium

  * GCC snapshot, taken from the trunk (20210106)
  * Provide timing and resource information for all builds.
  * Build the offload compilers using newlib 4.1.0.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Jan 2021 11:41:48 +0100

gcc-11 (11-20210102-1ubuntu1) hirsute; urgency=medium

  * GCC snapshot, taken from the trunk (20210102)

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Jan 2021 16:09:58 +0100

gcc-11 (11-20210102-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210102)
  * Bump libgo soname.
  * Fix libgo build failures.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Jan 2021 15:59:18 +0100

gcc-11 (11-20201228-1ubuntu1) hirsute; urgency=medium

  * GCC snapshot, taken from the trunk (20201228)

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Dec 2020 22:17:58 +0100

gcc-11 (11-20201228-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20201228)
  * Build the gcn offload compiler based on amdgcn-tools (based on LLVM 9).
  * Fix hppa64 snapshot builds.
  * Fix cross installation of g++-mapper-server.
  * Update libgcc-s1 symbols file for arm64.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Dec 2020 20:02:27 +0100

gcc-11 (11-20201224-0ubuntu1) hirsute; urgency=medium

  * GCC snapshot, taken from the trunk (20201224).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Dec 2020 08:45:50 +0000

gcc-11 (11-20201222-1ubuntu1) hirsute; urgency=medium

  * GCC snapshot, taken from the trunk (20201222).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 22 Dec 2020 14:47:51 +0100

gcc-11 (11-20201222-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20201222)
  * Fix installation of g++-mapper-server.
  * Apply proposed patch for PR bootstrap/98324. enable LTO builds again.
  * Disable LTO build on s390x, see PR 976846.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Dec 2020 14:41:42 +0100

gcc-11 (11-20201219-0ubuntu1) hirsute; urgency=medium

  * GCC snapshot, taken from the trunk (20201219).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Dec 2020 10:47:31 +0100

gcc-11 (11-20201216-2ubuntu2) hirsute; urgency=medium

  * GCC snapshot, taken from the trunk (20201216).
  * Disable Ada on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Dec 2020 21:33:14 +0100

gcc-11 (11-20201216-2) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20201216)
  * Rely on the upstream GNU versioned symbols for libstdc++6.
  * Bump phobos soname for GCC 11.
  * Add an autopkg test for linking libphobos.
  * Build gnat again, without building libgnat_util.
  * Build the gcn offload compiler using LLVM 11, and work around the
    broken as in LLVM 11. See also LLVM Bug 48201 for this issue and
    https://reviews.llvm.org/D73999 for the patch causing the issue.
  * Remove hsa offload packaging bits.
  * For LTO builds, configure with --enable-link-serialization instead of
    --enable-link-mutex.
  * Package additional gnat files.
  * Update the gm2 packaging.
  * Add conflicts with binary packages built from gcc-10.
  * Build libhwasan (AArch64 only).
  * Don't strip the sanitizer libraries, these are only used for debugging.
    LP: #1894166.
  * Explicitly configure with --disable-cet when building for older releases.
  * Don't run the libgphobos-link test on powerpc architectures.
  * Install libstdc++6 gdb pretty printer files in /usr/share/gcc (unversioned).
  * Don't mark the libgcc-sN cross packages with XB-Important/Protected: yes.
  * Relax the libc-dev dependencies for kfreebsd.
  * Limit checking when configuring with --enable-checking=extra,rtl.
  * Apply proposed patch for PR bootstrap/95582.
  * Enable profiled builds, LTO build for 64bit architectures.
  * Add -doc conflicts with GCC 10. Closes: #977408.
  * Don't install the lto-dump binary in the hppa64 package. Closes: #977461.
  * Let the gcn offload compilers conflict, both shipping the linker tools,
    which should be split out into a separate package. Addresses: #977461.
  * Regenerate libgm2/configure. Closes: #977409.
  * Install hwasan lib in libgcc-dev (arm64 only).

 -- Matthias Klose <doko@debian.org>  Wed, 16 Dec 2020 21:28:34 +0100

gcc-10 (10.2.0-17ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 11 Nov 2020 18:08:24 +0100

gcc-10 (10.2.0-17) unstable; urgency=medium

  * Update to git 20201111 from the gcc-10 branch.
    - Fix PR tree-optimization/97764, PR target/97685 (x86),
      PR target/97360 (PPC), PR lto/97508, PR c++/97412, PR fortran/97652,
      PR fortran/92793, PR fortran/92793, PR target/85486, PR libstdc++/96269,
      PR libstdc++/97731, PR libstdc++/97362, PR libstdc++/92285.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Nov 2020 17:50:04 +0100

gcc-10 (10.2.0-16ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Oct 2020 16:43:44 +0100

gcc-10 (10.2.0-16) unstable; urgency=medium

  * Update to git 20201029 from the gcc-10 branch.
    - Fix PR rtl-optimization/97439, PR target/96759 (RISCV),
      PR target/97506 (x86), PR target/97327 (ARM), PR target/96914 (ARM),
      PR target/96914 (ARM), PR target/96914 (ARM), PR rtl-optimization/97386,
      PR sanitizer/97294, PR target/97291 (ARM), PR ipa/96394, PR ipa/97404,
      PR ipa/97295, PR target/97251 (ARM), PR target/97349 (AArch64),
      PR tree-optimization/97357, PR tree-optimization/97255, PR c++/97197,
      PR c++/97328, PR c++/97010, PR c++/97197, PR c++/96229, PR fortran/95979,
      PR libstdc++/95322, PR libstdc++/97132, PR libstdc++/95788,
      PR tree-optimization/97081, PR tree-optimization/97456,
      PR c++/95132, PR c++/96241.
  * Also enable the extra checking on amd64, arm64, ppc64el, s390x, and don't
    strip the executables.  This will be reverted within a few weeks, please
    don't send bug reports about that.
  * Mark libgcc-sN with XB-Important/Protected: yes. Addresses: #972936.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Oct 2020 16:36:48 +0100

gcc-10 (10.2.0-15ubuntu1) hirsute; urgency=medium

  * Update to git 20201023 from the gcc-10 branch.
    - Fix PR rtl-optimization/97439, PR target/96759 (RISCV),
      PR target/97506 (x86), PR target/97327 (ARM), PR target/96914 (ARM),
      PR target/96914 (ARM), PR target/96914 (ARM), PR rtl-optimization/97386,
      PR sanitizer/97294, PR target/97291 (ARM), PR ipa/96394, PR ipa/97404,
      PR ipa/97295, PR target/97251 (ARM), PR target/97349 (AArch64),
      PR tree-optimization/97357, PR tree-optimization/97255, PR c++/97197,
      PR c++/97328, PR c++/97010, PR c++/97197, PR c++/96229, PR fortran/95979,
      PR libstdc++/95322, PR libstdc++/97132, PR libstdc++/95788.
  * On every arch except i386, configure with --enable-checking=yes,extra,rtl,
    and don't strip the executables for now.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 10:36:50 +0200

gcc-10 (10.2.0-15) unstable; urgency=medium

  * Update to git 20201011 from the gcc-10 branch.
    - Fix PR target/97302, PR rtl-optimization/97313, PR middle-end/95189,
      PR middle-end/95886, PR target/97150 (AArch64), PR target/96313 (AArch64),
      PR tree-optimization/97236, PR target/96456 (S390), PR gcov-profile/97193,
      PR c++/88115, PR libstdc++/97273, PR c++/96994, PR c++/97195,
      PR c++/97145, PR fortran/97272, PR bootstrap/97163, PR gcov-profile/96913.
  * On armel, armhf, configure with --enable-checking=yes,extra,rtl, and don't
    strip the executables for now.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Oct 2020 12:40:50 +0200

gcc-10 (10.2.0-14) experimental; urgency=medium

  * Update to git 20201002 from the gcc-10 branch.
    - Fix PR gcov-profile/64636, PR tree-optimization/96979,
      PR gcov-profile/97069, PR target/96795 (ARM), PR target/96827 (ARM),
      PR bootstrap/97183, PR target/97184 (x86).
  * Fix PR tree-optimization/97236, taken from the trunk. Stop reverting the
    fixes for PR tree-optimization/97043, PR tree-optimization/96522.
    Closes: #971027.
  * Enable gnat on m68k again (Adrian Glaubitz). Closes: #971551.

 -- Matthias Klose <doko@debian.org>  Fri, 02 Oct 2020 14:12:39 +0200

gcc-10 (10.2.0-13ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Sep 2020 12:43:07 +0200

gcc-10 (10.2.0-13) unstable; urgency=medium

  * Update to git 20200930 from the gcc-10 branch.
    - Fix PR target/97247 (x86), PR target/97231 (x86), PR middle-end/97054.
    - Backport SVE ACLE and stack-protector patches (ARM, AArch64).
  * Revert the fix for PR tree-optimization/96522. See #971027.

 -- Matthias Klose <doko@debian.org>  Wed, 30 Sep 2020 12:29:35 +0200

gcc-10 (10.2.0-12) unstable; urgency=medium

  * Update to git 20200927 from the gcc-10 branch.
    - Fix PR target/71233 (AArch64), PR middle-end/97073.
  * Revert the fix for PR tree-optimization/97043. Addresses: #971027.

 -- Matthias Klose <doko@debian.org>  Tue, 29 Sep 2020 12:37:37 +0200

gcc-10 (10.2.0-11ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Sep 2020 12:23:45 +0200

gcc-10 (10.2.0-11) unstable; urgency=medium

  * Update to git 20200927 from the gcc-10 branch.
    - Fix PR middle-end/95464, PR target/96683 (ARM), PR target/97032,
      PR target/97166 (PPC), PR fortran/96041, PR fortran/93423,
      PR fortran/93423, PR libstdc++/97167, PR libstdc++/96803,
      PR libstdc++/96803, PR libstdc++/94681, PR libstdc++/94681,
      PR libstdc++/97101, PR libstdc++/94160.
    - libgo: don't put golang.org packages in zstdpkglist.go. Closes: #970604.

  [ Samuel Thibault ]
  * Limit systemtap-sdt-dev build dependency to linux architectures.
    Closes: #970614.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Sep 2020 12:19:01 +0200

gcc-10 (10.2.0-9ubuntu2) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Sep 2020 20:55:59 +0200

gcc-10 (10.2.0-9) unstable; urgency=high

  * Update to git 20200918 from the gcc-10 branch.
    - Fix PR preprocessor/96935, PR tree-optimization/97053,
      PR target/97028 (x86), PR debug/96690, PR tree-optimization/96522,
      PR tree-optimization/97043.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Sep 2020 20:23:58 +0200

gcc-10 (10.2.0-8ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Sep 2020 11:44:40 +0200

gcc-10 (10.2.0-8) unstable; urgency=medium

  * Update to git 20200914 from the gcc-10 branch.
    - Fix PR tree-optimization/96579, PR tree-optimization/96370,
      PR tree-optimization/96514, PR middle-end/96369, PR lto/96385,
      PR tree-optimization/96349, PR bootstrap/96203, PR lto/95604,
      PR debug/93865, PR debug/94235, PR c++/96901, PR lto/94311,
      PR debug/96729, PR c++/96901, PR c++/96862, PR fortran/96859.
  * Fix libstdc++ symbols file for armel, no pretty formatting allowed
    in symbols files.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Sep 2020 11:30:32 +0200

gcc-10 (10.2.0-7) unstable; urgency=medium

  * Update to git 20200910 from the gcc-10 branch.
    - Fix PR c++/95164, PR target/85830 (PPC), PR tree-optimization/96820,
      PR target/96808 (PPC), PR tree-optimization/96597,
      PR tree-optimization/88240, PR tree-optimization/96854,
      PR target/96551 (x86), PR d/96924, PR fortran/95398, PR fortran/94672,
      PR libstdc++/92978, PR libstdc++/96851, PR target/96357 (AArch64),
      PR fortran/95109, PR fortran/94690.
  * Update libasan and libgfortran symbols files.
  * Replace the libstdc++ symbols file on armel with one based on
    symbol versions (versions different than for other architectures).
    Closes: #954954.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Sep 2020 17:24:36 +0200

gcc-10 (10.2.0-6ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Aug 2020 14:11:37 +0200

gcc-10 (10.2.0-6) unstable; urgency=medium

  * Update to git 20200831 from the gcc-10 branch.
    - Fix PR target/96744 (x86), PR target/94538 (ARM), PR middle-end/87256,
      PR tree-optimization/96722, PR tree-optimization/96758,
      PR target/95450, PR tree-optimization/96535, PR c/96549, PR fortran/93553,
      PR middle-end/96459, PR tree-optimization/96730, PR ipa/95320,
      PR target/96682 (ARM), PR target/96506 (PPC), PR target/96536 (x86),
      PR target/96562 (x86), PR target/93897 (x86), PR lto/95362,
      PR lto/95548, PR c/96545, PR c++/96497, PR c++/95428, PR c++/96199,
      PR c++/96106, PR c++/96164, PR d/96157, PR d/96250, PR d/96254,
      PR d/96301, PR fortran/95882, PR fortran/96486, PR fortran/93553,
      PR middle-end/96459, PR libstdc++/71960, PR libstdc++/96766,
      PR libstdc++/96718, PR target/96493 (PPC), PR ipa/96482, PR ipa/96291,
      PR target/96243 (x86), PR target/96530 (PPC), PR target/96446 (PPC),
      PR c++/96106, PR c++/96164, PR fortran/96312, PR libstdc++/89760,
      PR libstdc++/95749.
  * Disable go on sh4. Closes: #969221.
  * Update patch for CUDA and __float128. Closes: #968672.

 -- Matthias Klose <doko@debian.org>  Mon, 31 Aug 2020 12:27:30 +0200

gcc-10 (10.2.0-5ubuntu2) groovy; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Aug 2020 17:05:20 +0200

gcc-10 (10.2.0-5ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Aug 2020 13:42:26 +0200

gcc-10 (10.2.0-5) unstable; urgency=medium

  * Update to git 20200808 from the gcc-10 branch.
    - Fix PR target/96191 (ARM), PR target/96191 (AArch64),
      PR tree-optimization/96483, PR middle-end/96426, PR debug/96354,
      PR target/95435 (x86), PR tree-optimization/96058, PR middle-end/96335,
      PR lto/45375, PR c/96377, PR c++/96082, PR c++/95591, PR c++/95599,
      PR c++/95823, PR c++/95824, PR c++/95895, PR d/96140,
      PR fortran/96319, PR fortran/95612, PR fortran/95585.

 -- Matthias Klose <doko@debian.org>  Sat, 08 Aug 2020 13:31:03 +0200

gcc-10 (10.2.0-3ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't run the tests on riscv64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jul 2020 14:57:54 +0200

gcc-10 (10.2.0-3) unstable; urgency=medium

  * Update to git 20200725 from the gcc-10 branch.
    - Fix PR target/96190 (SPARC), PR target/96236 (PPC), PR target/96260,
      PR fortran/95980, PR fortran/95980, PR fortran/96086, PR fortran/89574,
      PR fortran/96220, PR fortran/96018.
  * Re-enable gm2, disabled by accident in 10.2.0-1.
  * Refresh gm2 patches.
  * Apply proposed gdc patch (Iain Buclaw). Closes: #966026.
  * Apply proposed patch for PR bootstrap/96203, add -fcf-protection=check.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Jul 2020 14:52:31 +0200

gcc-10 (10.2.0-1ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't run the tests on riscv64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Jul 2020 10:27:17 +0200

gcc-10 (10.2.0-1) unstable; urgency=medium

  * GCC 10.2.0 release.
    - Fix PR target/95726 (AArch64), PR target/96174 (x86), PR middle-end/95114,
      PR tree-optimization/96146, PR middle-end/96194, PR c++/95789,
      PR c++/96104, PR c++/96179.
    - Fix missing dependencies for selftests which occasionally causes
      failed builds. Closes: #960913.
  * Update gm2 from the gm2 gcc-10 branch.
  * Update the patch for PR lto/95604, replacing the error with a warning.
  * Build the GC enabled libobjc on arm64, mips and mipsel as well.
  * libgo: Merge the 1.14.6 changes, taken from the trunk.
  * Fix ASAN_INTERCEPT_VFORK related symbols. (Helmut Grohne). Closes: #965246.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Jul 2020 12:15:54 +0200

gcc-10 (10.1.0-6ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't run the tests on riscv64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jul 2020 15:07:13 +0200

gcc-10 (10.1.0-6) unstable; urgency=medium

  * Update to git 20200714 from the gcc-10 branch.
    - Fix PR lto/95604, PR target/94891 (AArch64), PR target/94791 (AArch64),
      PR ipa/96130, PR middle-end/94600, PR middle-end/95270, PR c++/96063,
      PR c++/96077.
  * Also package the nvptx offload compiler on arm64.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Jul 2020 12:07:51 +0200

gcc-10 (10.1.0-5) unstable; urgency=medium

  * Update to git 20200713 from the gcc-10 branch.
    - Fix PR bootstrap/94998, PR tree-optimization/94969, PR target/95018 (PPC),
      PR target/95347 (PPC), PR target/95347 (PPC), PR target/95713,
      PR target/94735 (ARM), PR target/94959 (ARM), PR c++/95505, PR c++/95508,
      PR fortran/95707, PR fortran/95688, PR fortran/95687, PR fortran/95689,
      PR fortran/95587, PR fortran/95088, PR lto/94848, PR c/95141, PR c++/95711,
      PR c++/95736, PR c++/95519, PR c++/95518, PR c++/95813, PR c++/95477,
      PR c++/95719, PR d/95250, PR fortran/95978, PR fortran/71706,
      PR fortran/95743, PR fortran/95340, PR fortran/95880, PR fortran/95881,
      PR fortran/95826, PR fortran/95828, PR fortran/95827, PR fortran/95812,
      PR fortran/95708, PR target/95105 (AArch64), PR tree-optimization/96075,
      PR ipa/96040, PR debug/95343, PR fortran/95709, PR fortran/93337,
      PR fortran/95366, PR fortran/88379, PR fortran/9582 libstdc++/91807,
      PR libstdc++/91153, PR target/93224, PR libstdc++/95282, PR libstdc++/94627,
      PR tree-optimization/95857, PR target/95581 (PPC), PR target/96125 (PPC),
      PR tree-optimization/96133, PR tree-optimization/95804,
      PR tree-optimization/95638, PR target/95683 (RISCV), PR c++/96105,
      PR c++/96052, PR c++/95976, PR libstdc++/95322, PR libstdc++/94936,
      PR libstdc++/94087.
  * distro-defaults.h: Don't define for offload compilers.
  * Build the nvptx offload compiler on arm64.
  * Update the patch for PR lto/95604.

 -- Matthias Klose <doko@debian.org>  Mon, 13 Jul 2020 13:12:42 +0200

gcc-10 (10.1.0-4) unstable; urgency=medium

  * Update to git 20200616 from the gcc-10 branch.
    - Fix PR ipa/95113, PR target/95525 (x86), PR target/95420 (ARM),
      PR target/94591 (ARM), PR gcov-profile/95332, PR testsuite/95361,
      PR target/95355 (x86), PR web/95380, PR c++/95346, PR c++/95562,
      PR c++/95345, PR c++/95050, PR c++/94817, PR c++/94829, PR c++/95087,
      PR c++/93310, PR c++/95158, PR c++/92103, PR c++/92633, PR c++/92838,
      PR c++/95020, PR c++/95386, PR c++/92652, PR c++/93698, PR c++/94128,
      PR c++/95241, PR c++/95181, PR c++/95371, PR c++/95319, PR c++/95222,
      PR c++/90212, PR c++/90479, PR c++/91529, PR c++/93822,
      PR libfortran/95390, PR libfortran/95104, PR libfortran/95104,
      PR libfortran/95191, PR libgomp/92854, PR libgomp/92854,
      PR libstdc++/95322, PR libstdc++/77691, PR lto/94848, PR middle-end/95551,
      PR target/95528, PR c++/95197, PR middle-end/95108, PR debug/95080,
      PR sanitizer/95634, PR sanitizer/94910, PR c/95580, PR c++/95328,
      PR c++/95197, PR c++/95440, PR c++/93467, PR c++/95350, PR c++/95560,
      PR c++/95066, PR c++/94937, PR c++/95344, PR c++/94955, PR c++/90915,
      PR c++/90915, PR c++/95137, PR fortran/95544, PR fortran/93366,
      PR fortran/95503, PR fortran/94109, PR fortran/95611, PR fortran/95091,
      PR libstdc++/95578.
  * Fix PR lto/95604, proposed patch.
  * Reorganize the distro defaults patches.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Jun 2020 13:09:42 +0200

gcc-10 (10.1.0-3ubuntu1) groovy; urgency=medium
  * 

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jul 2020 14:01:38 +0200

gcc-10 (10.1.0-4ubuntu2) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't run the tests on riscv64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Jun 2020 12:37:21 +0200

gcc-10 (10.1.0-4) unstable; urgency=medium

  * Update to git 20200616 from the gcc-10 branch.
    - Fix PR ipa/95113, PR target/95525 (x86), PR target/95420 (ARM),
      PR target/94591 (ARM), PR gcov-profile/95332, PR testsuite/95361,
      PR target/95355 (x86), PR web/95380, PR c++/95346, PR c++/95562,
      PR c++/95345, PR c++/95050, PR c++/94817, PR c++/94829, PR c++/95087,
      PR c++/93310, PR c++/95158, PR c++/92103, PR c++/92633, PR c++/92838,
      PR c++/95020, PR c++/95386, PR c++/92652, PR c++/93698, PR c++/94128,
      PR c++/95241, PR c++/95181, PR c++/95371, PR c++/95319, PR c++/95222,
      PR c++/90212, PR c++/90479, PR c++/91529, PR c++/93822,
      PR libfortran/95390, PR libfortran/95104, PR libfortran/95104,
      PR libfortran/95191, PR libgomp/92854, PR libgomp/92854,
      PR libstdc++/95322, PR libstdc++/77691, PR lto/94848, PR middle-end/95551,
      PR target/95528, PR c++/95197, PR middle-end/95108, PR debug/95080,
      PR sanitizer/95634, PR sanitizer/94910, PR c/95580, PR c++/95328,
      PR c++/95197, PR c++/95440, PR c++/93467, PR c++/95350, PR c++/95560,
      PR c++/95066, PR c++/94937, PR c++/95344, PR c++/94955, PR c++/90915,
      PR c++/90915, PR c++/95137, PR fortran/95544, PR fortran/93366,
      PR fortran/95503, PR fortran/94109, PR fortran/95611, PR fortran/95091,
      PR libstdc++/95578.
  * Fix PR lto/95604, proposed patch.
  * Reorganize the distro defaults patches.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Jun 2020 13:09:42 +0200

gcc-10 (10.1.0-3ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 May 2020 23:09:55 +0200

gcc-10 (10.1.0-3) unstable; urgency=medium

  * Update to git 20200525 from the gcc-10 branch.
    - Fix PR target/95255 (x86), PR target/95258 (x86), PR lto/95190,
      PR target/95169 (x86), PR target/95212 (x86), PR middle-end/94635,
      PR middle-end/94940, PR d/94970, PR fortran/39695, PR libfortran/95119,
      PR libstdc++/95289, PR libstdc++/93983.
  * Configure --with-arch=i686 for the Hurd. Closes: #960929.
  * Remove the last powerpcspe packaging bits, it's finally gone.
  * Update watch file.

 -- Matthias Klose <doko@debian.org>  Mon, 25 May 2020 22:55:26 +0200

gcc-10 (10.1.0-2ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 May 2020 12:08:46 +0200

gcc-10 (10.1.0-2) unstable; urgency=medium

  * Update to git 20200515 from the gcc-10 branch.
    - Fix PR ipa/94947, PR c/95040, PR middle-end/94724,
      PR target/94950 (RISCV), PR target/94942 (x86), PR c/94968, PR c/94842,
      PR c++/95003, PR c++/94885, PR c++/94938, PR c++/94951, PR c++/94907,
      PR fortran/93497, PR fortran/94672, PR fortran/59107, PR libstdc++/94906,
      PR libstdc++/94933, PR libstdc++/92894.

  [ Matthias Klose ]
  * Remove the unmaintained neon packaging bits.
  * Add build dependency on unzip to fix libphobos test failures.
  * libphobos: Fix issue 19861 - core.cpuid reports the wrong number of
    threads. Closes: #960150.
  * Build using GCC 10 on recent distro versions.
  * Fix gnat tests to find the libgnat_utils shared library. Closes: #960270.
  * Run the testsuite with the offload compilers installed into the temporary
    install location.
  * Don't require root for the temp installation of the offload compilers.
  * Use LLVM 10 for the amdgcn assembler and linker tools.
  * Don't override the libstdc++ test results when running the libstdc++ abi
    check.
  * Update debian/TODO, remove obsolete items, add some testsuite items.
  * Override some lintian warnings for snapshot builds.
  * Include jit test results into the summary and the gcc-test-results package.
  * Fix some lintian warnings.
  * Don't strip the target object files for the amdgcn offload build.
  * Stop building the libgcc compat packages for bullseye/sid.

  [ Nicolas Boulenguez ]
  * Enable gnat autopkg tests.

 -- Matthias Klose <doko@debian.org>  Fri, 15 May 2020 17:11:03 +0200

gcc-10 (10.1.0-1ubuntu1) groovy; urgency=medium

  * GCC 10.1.0 release.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 May 2020 13:58:39 +0200

gcc-10 (10.1.0-1) unstable; urgency=medium

  * GCC 10.1.0 release.
  * lib*stdc++6: Depend on lib*gcc-sN instead of lib*gccN.
  * Build libphobos on hppa-linux-gnu.
  * Update NEWS files for GCC 10.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Thu, 07 May 2020 13:44:26 +0200

gcc-10 (10-20200502-1ubuntu1) groovy; urgency=medium

  * Stop building libgccN.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 May 2020 14:22:41 +0200

gcc-10 (10-20200502-1) unstable; urgency=medium

  * GCC 10.1 release candidate.
  * GCC snapshot, taken from the gcc-10 branch (20200502, 0118d0397f9).
    - Fix PR objc/94637, @selector() broken for selectors containing repeated
      colons. Closes: #959127.
  * Increase the testsuite timeout on riscv64.
  * Fix sparc64 multilib cross build (Helmut Grohne). Closes: #958909.
  * Fix GDC Issue 19367 - std.net.curl does not understand HTTP/2 status lines.
    LP: #1876293.
  * Update libgphobos symbols files.

 -- Matthias Klose <doko@debian.org>  Sat, 02 May 2020 14:09:59 +0200

gcc-10 (10-20200425-1ubuntu2) groovy; urgency=medium

  * GCC snapshot, taken from the trunk (20200425, cf3f7b309ffd).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Apr 2020 18:12:45 +0200

gcc-10 (10-20200425-1) unstable; urgency=medium

  * GCC snapshot, taken from the trunk (20200425, cf3f7b309ffd).
    - Fix PR middle-end/94647. Closes: #958062.
  * Fix local patch for PR jit/87808. Closes: #954898.
  * gcc-snapshot: Depend on nvptx-tools with the nvptx offload compiler.
  * Provide symlinks for the offload target tools in <gcclibdir>/accel/<target>.
  * Don't include lib*gomp1 and libgcc4 in the control file, when not building
    the common libraries.
  * Build libphobos on powerpc*, libdruntime only.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Apr 2020 18:07:48 +0200

gcc-10 (10-20200418-1ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200417, b835645c7a5).
  * libgcc-sN: Don't add the libgcc-N-dev breaks for backports.
  * Fix typo, configure with --with-tune=z15 on Ubuntu/s390x for the
    g-series, but don't enable it for the focal release.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Apr 2020 13:19:08 +0200

gcc-10 (10-20200418-1) unstable; urgency=medium

  * GCC snapshot, taken from the trunk (20200418, c5bac7d127f2).
    - Fix PR lto/94612, offloading support.
    - Fix PR rtl-optimization/93974, ICE on ppc64el with -O3.

  [ Nicolas Boulenguez ]
  * Remove ada-lib-info-file-prefix-map.diff (see #87972).

  [ Matthias Klose ]
  * libgcc-sN: Don't add the libgcc-N-dev breaks for backports.
  * Include the complete offload compilers in the gcc-snapshot builds.

 -- Matthias Klose <doko@debian.org>  Sat, 18 Apr 2020 11:56:38 +0200

gcc-10 (10-20200411-1) unstable; urgency=medium

  * GCC snapshot, taken from the trunk (20200411, f883c46b487).
  * Fix gnat cross builds.
  * Strip again the compiler executables.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Apr 2020 15:12:15 +0200

gcc-10 (10-20200411-0ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200411, f883c46b487).
  * Fix gnat cross builds.
  * Make -fcommon the default again, left-over from the test rebuild.
  * Strip the compiler executables for the release.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Apr 2020 15:58:53 +0200

gcc-10 (10-20200410-1ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200410, 7478addd84a).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Apr 2020 14:55:35 +0200

gcc-10 (10-20200410-1) unstable; urgency=medium

  * GCC snapshot, taken from the trunk (20200410, 7478addd84a).

  [ Matthias Klose ]
  * Update libgccjit and libgphobos symbols files.
  * Remove the libgcc-sN provides from the last upload.
  * Don't install the empty gcc_lib_dir in gcc-N-base.
  * Configure with -enable-libphobos-checking=release.

  [ Nicolas Boulenguez ]
  * Remove some dependencies older than oldoldstable.
  * Build gnat. Remove obsolete no_install option for libgnat.
  * ada-lib-info-file-source-date-epoch.diff: port fix from gcc-9.
  * ada: install libgnat-BV.so without adding a .1 suffix.
  * Rename libgnatvsn to libgnat_util (following upstream).
    Make the compatibility project abstract instead of generating twice.
  * ada-changes-in-autogen-output.diff: keep more upstream default values in
    order to reduce the diff noise.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Apr 2020 14:45:04 +0200

gcc-10 (10-20200405-0ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200405, 705510a708d).
  * Update libgccjit and libgphobos symbols files.
  * Re-enable running the testsuite.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Apr 2020 11:07:22 +0200

gcc-10 (10-20200324-1ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200324, 906b3eb9df6).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 13:55:00 +0100

gcc-10 (10-20200324-1) unstable; urgency=medium

  * GCC snapshot, taken from the trunk (20200324, 906b3eb9df6).
  * libgcc-N-dev: Include sanitizer headers again. Closes: #954751.
  * gm2: Define lang_register_spec_functions for jit. Closes: #954438.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Mar 2020 13:38:16 +0100

gcc-10 (10-20200321-1ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200321, 497498c878d).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2020 16:13:30 +0100

gcc-10 (10-20200321-1) unstable; urgency=medium

  * GCC snapshot, taken from the trunk (20200321, 497498c878d).
  * Update gm2 from the gm2 trunk.
  * Move limits.h and syslimits.h into <gcc-lib-dir>/include, and remove
    <gcc-lib-dir>/include-fixed.
  * Update libgphobos symbols file.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Mar 2020 13:14:07 +0100

gcc-10 (10-20200307-0ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200307, 2a4c59d9aa6).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Mar 2020 11:37:10 +0100

gcc-10 (10-20200304-1ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200304, 94f7d7ec6eb).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Mar 2020 16:52:08 +0100

gcc-10 (10-20200304-1) unstable; urgency=medium

  * GCC snapshot, taken from the trunk (20200304, 94f7d7ec6eb).
  * Update the autopkg tests to run GCC 10.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Mar 2020 16:38:16 +0100

gcc-10 (10-20200228-0ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200228, 4707548ee84).
  * Update the autopkg tests to run GCC 10.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Feb 2020 13:47:15 +0100

gcc-10 (10-20200222-1ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 22 Feb 2020 11:13:45 +0100

gcc-10 (10-20200222-1) unstable; urgency=medium

  * GCC snapshot, taken from the trunk (20200222, e99b18cf710).
  * Don't create doc directories for -dbg packages when not building those.
  * Update libgphobos symbols file for amd64.
  * Don't try to strip the target libs for the amdgcn offload compiler.

 -- Matthias Klose <doko@debian.org>  Sat, 22 Feb 2020 13:39:51 +0100

gcc-10 (10-20200211-1ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Feb 2020 07:41:41 +0100

gcc-10 (10-20200211-1) unstable; urgency=medium

  * GCC snapshot, taken from the trunk (20200211, a6ee556c765).

  [ Matthias Klose ]
  * Let the libgcc-sN multilib cross packages provide libgccN.
  * libgcc-sN: Move library back to /lib from /usr/lib, and add
    a replaces to libgccN. Closes: #950624.
  * libgcc-sN: Add break on cryptsetup-initramfs. Closes: #950551.

  [ Aurelien Jarno ]
  * debian/libgcc-s.symbols: add mipsn32el to the list of architectures
    with GCC_3.3.4, GCC_4.4.0 and CC_4.5.0 symbols.
  * debian/rules.conf: libgcc-s1 and corresponding multilib packages are
    epochless. Adjust DEB_LIBGCC_VERSION accordingly.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Feb 2020 07:20:23 +0100

gcc-10 (10-20200204-1ubuntu5) focal; urgency=medium

  * Let the libgcc-sN multilib cross packages provide libgccN.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 09 Feb 2020 11:14:47 +0100

gcc-10 (10-20200204-1ubuntu3) focal; urgency=medium

  * Disable LTO on ppc64el

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Feb 2020 04:12:33 +0100

gcc-10 (10-20200204-1ubuntu2) focal; urgency=medium

  * Enable LTO builds.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Feb 2020 18:32:39 +0100

gcc-10 (10-20200204-1) unstable; urgency=medium

  * GCC snapshot, taken from the trunk (20200202, 0303907ea5d).
  * On architectures where libgcc_s.so is a symlink, replace the symlink with
    a simple linker script.
  * Add breaks on libgcc-N-dev packages on arm64, s390x and sparc64.
    Closes: #950550, #950579.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Feb 2020 15:52:16 +0100

gcc-10 (10-20200202-1ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200202, 0303907ea5d).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 02 Feb 2020 12:17:29 +0100

gcc-10 (10-20200202-1) unstable; urgency=medium

  * GCC snapshot, taken from the trunk (20200202, 0303907ea5d).

 -- Matthias Klose <doko@debian.org>  Sun, 02 Feb 2020 11:43:57 +0100

gcc-10 (10-20200129-1ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200129, 87c3fcfa6bb).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Jan 2020 17:07:51 +0100

gcc-10 (10-20200129-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20200129, 87c3fcfa6bb).
  * Update gm2 from the gm2 trunk.
  * Fix libgomp-plugin-amdgcn1 package description.
  * Bump libgo soversion.
  * Reset libgphobos version to 1.
  * Apply proposed patch for PR bootstrap/93409.
  * Fix building the amdgcn offload compiler with llvm 9.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 29 Jan 2020 12:34:27 +0100

gcc-10 (10-20200117-2) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20200117, 507de5ee23e).
  * Update gm2 from the gm2 trunk.

  [ Matthias Klose ]
  * Update libgomp symbols files.
  * Build-depend on libzstd-dev.
  * Revert the fix for PR c/85678, not making -fno-common the default for
    current releases and backports.
  * Update libstdc++ symbols file.
  * Install more AArch64 intrinsic headers.
  * Prepare for git updates from a release branch.
  * Allow retrying of a native build in case of unreproducible ICEs.

  [YunQiang Su]
  * Fix buffer overflow in the gcc-search-prefixed-as-ld patch when
    strlen(DEFAULT_REAL_TARGET_MACHINE) < multiarch_len. Addresses: #915194.

 -- Matthias Klose <doko@debian.org>  Fri, 17 Jan 2020 15:56:29 +0100

gcc-10 (10-20200116-1ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200116, f7dff7699fd).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Jan 2020 12:09:12 +0100

gcc-10 (10-20200116-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20200116, f7dff7699fd).
  * Update gm2 from the gm2 trunk.

  [ Matthias Klose ]
  * Update libgomp symbols files.
  * Build-depend on libzstd-dev.
  * Revert the fix for PR c/85678, not making -fno-common the default for
    current releases and backports.

  [YunQiang Su]
  * Fix buffer overflow in the gcc-search-prefixed-as-ld patch when
    strlen(DEFAULT_REAL_TARGET_MACHINE) < multiarch_len. Addresses: #915194.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Jan 2020 11:56:07 +0100

gcc-10 (10-20200104-1ubuntu2) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20200104, r279880).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2020 11:43:24 +0100

gcc-10 (10-20200104-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20200104, r279880).
  * Update newlib to newlib-3.2.0.
  * Update gm2 from the gm2 trunk.

 -- Matthias Klose <doko@debian.org>  Sat, 04 Jan 2020 11:26:06 +0100

gcc-10 (10-20191219-0ubuntu1) focal; urgency=medium

  * GCC snapshot, taken from the trunk (20191219, r279564).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Dec 2019 10:40:20 +0100

gcc-10 (10-20191217-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20191217, r279456).
  * Update newlib to a snapshot from trunk.
  * Update gm2 from the gm2 trunk.
  * Update symbols files.
  * Build without gnat for a first build.
  * Build an amdgcn offload compiler.
  * Update debian/copyright for gm2, compiler is now GPL-3+, the runtime
    libraries GPL-3+ plus GCC Runtime Library Exception, version 3.1.
  * Fix libgo build on arm-linux-gnueabi*.
  * Update debian/copyright for contrib/unicode.
  * libgomp-plugin-nvptx1: Update cuda suggestions. Addresses: #946487.
  * Fix buffer overflow in the gcc-search-prefixed-as-ld patch.
    Addresses: #946792.
  * Don't strip frontends for debugging purposes.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Dec 2019 12:31:04 +0100

gcc-9 (9.2.1-21ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Nov 2019 23:05:19 +0100

gcc-9 (9.2.1-21) unstable; urgency=medium

  * Update to SVN 20191130 (r278870) from the gcc-9-branch.
    - Fix PR fortran/92100, PR tree-optimization/92222, PR ada/92489,
      PR fortran/92629.
  * Stop building -dbg packages, keep building the libstc++6-9-dbg package
    containing just the libstdc++ debug build.

 -- Matthias Klose <doko@debian.org>  Sat, 30 Nov 2019 09:17:04 +0100

gcc-9 (9.2.1-20ubuntu3) focal; urgency=medium

  * Update to SVN 20191127 (r278756) from the gcc-9-branch.
    - Fix PR fortran/92100.
  * Stop building -dbg packages, keep building the libstc++6-9-dbg package
    containing just the libstdc++ debug build.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Nov 2019 08:14:41 +0100

gcc-9 (9.2.1-20ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Nov 2019 08:30:24 +0100

gcc-9 (9.2.1-20) unstable; urgency=medium

  * Update to SVN 20191126 (r278718) from the gcc-9-branch.
    - Fix PR libstdc++/92267, PR tree-optimization/91355, PR other/92090,
      PR middle-end/90796, PR middle-end/90840, PR target/90867 (x86),
      PR c/90898, PR middle-end/91450, PR rtl-optimization/92430,
      PR target/92389 (x86), PR tree-optimization/90930, PR target/87833 (x86),
      PR c++/90767, PR c++/92504, PR fortran/92113, PR fortran/92321,
      PR fortran/92470, PR fortran/92470, PR fortran/92569, PR fortran/92050,
      PR ada/92362, PR ada/92575.
  * Add a libgphobos symbols file.
  * Enable LTO builds again.

 -- Matthias Klose <doko@debian.org>  Tue, 26 Nov 2019 08:16:37 +0100

gcc-9 (9.2.1-19ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Nov 2019 16:13:02 +0100

gcc-9 (9.2.1-19) unstable; urgency=medium

  * Update to SVN 20191109 (r278002) from the gcc-9-branch.
    - Fix PR sanitizer/92154, PR c++/92384, PR middle-end/92231, PR c++/90947,
      PR c++/90998, PR c++/92343, PR c++/90947, PR tree-optimization/85887,
      PR c++/92015, PR middle-end/92231, PR preprocessor/92296.
  * Fix once more the gnat armel cross build.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Nov 2019 15:47:17 +0100

gcc-9 (9.2.1-18) unstable; urgency=medium

  * Update to SVN 20191108 (r277978) from the gcc-9-branch.
    - Fix PR target/91289 (PPC), PR fortran/92208, PR fortran/92277,
      PR fortran/92208, PR fortran/92284, PR target/92095 (SPARC),
      PR fortran/91253.

  [ Matthias Klose ]
  * Update gm2 from the gcc_9_2_0_gm2 branch 20191107, more parallel
    build issues and cross build fixes.
  * Bump standards version.
  * ada-libgnatvsn.diff:
    - Regenerate with upstream automake 1.15.1 and autoconf 2.69.

  [ Nicolas Boulenguez ]
  * Copy ada-lib-info-file-prefix-map.diff from gcc-8.
  * ada-tools-move-ldflag.diff is obsolete with --as-needed as default.
  * Enable all non-default linker checks for Ada.

 -- Matthias Klose <doko@debian.org>  Fri, 08 Nov 2019 17:51:22 +0100

gcc-9 (9.2.1-17ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Nov 2019 12:24:58 +0100

gcc-9 (9.2.1-17) unstable; urgency=medium

  * Update to SVN 20191102 (r277743) from the gcc-9-branch.
  * Update gm2 from the gcc_9_2_0_gm2 branch 20191031, more parallel
    build issues.
  * ada-libgnatvsn.diff:
    - Copy some of configure.ac's common stuff from libatomic/libgomp.
    - Regenerate with automake 1.15.1 and autoconf 2.69.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Nov 2019 10:37:13 +0100

gcc-9 (9.2.1-16ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Oct 2019 13:51:09 +0100

gcc-9 (9.2.1-16) unstable; urgency=medium

  * Update to SVN 20191030 (r277619) from the gcc-9-branch.
    - Fix PR target/92225 (x86), PR rtl-optimization/92007,
      PR target/70010 (PPC), PR target/65342 (PPC), PR target/67183,
      PR fortran/91926, PR fortran/91863, PR fortran/86248, PR c++/92201.
  * Use a proper configure check when linking with libatomic in libgnatvsn.
    Closes: #943796.
  * Enable gm2 on x32.
  * Update gm2 from the gcc_9_2_0_gm2 branch 20191030, parallel build issues.
  * Fix PR libstdc++/92267, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 30 Oct 2019 13:13:31 +0100

gcc-9 (9.2.1-15ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 Oct 2019 18:15:19 +0100

gcc-9 (9.2.1-15) unstable; urgency=medium

  * Update to SVN 20191027 (r277486) from the gcc-9-branch.
    - Fix PR c++/85254.
  * Update gm2 from the gcc_9_2_0_gm2 branch 20191026.
  * Link libgnatvsn against libatomic.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Oct 2019 18:08:50 +0100

gcc-9 (9.2.1-14) unstable; urgency=medium

  * Update to SVN 20191025 (r277460) from the gcc-9-branch.
    - Fix PR libstdc++/90682, PR libstdc++/61761, PR libstdc++/89164,
      PR libstdc++/92143, PR libstdc++/91456, PR libstdc++/92059,
      PR libstdc++/91748, PR tree-optimization/91885, PR debug/91887,
      PR tree-optimization/92131, PR c++/92062, PR fortran/92174,
      PR target/88167 (ARM), PR middle-end/92153.
  * Configure again with --enable-objc-gc=auto, somehow dropped in gcc-9.
    Closes: #942049.
  * Revert the libgnatvsn changes from 9.2.1-9.

 -- Matthias Klose <doko@debian.org>  Fri, 25 Oct 2019 19:31:48 +0200

gcc-9 (9.2.1-12ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 22 Oct 2019 21:40:40 +0200

gcc-9 (9.2.1-12) unstable; urgency=medium

  * Update to SVN 20191022 (r277294) from the gcc-9-branch.
    - Fix PR c++/91925, PR c++/88203, PR c/91401, PR tree-optimization/92056,
      PR tree-optimization/91734, PR bootstrap/90543, PR middle-end/91920,
      PR tree-optimization/91723, PR tree-optimization/91665,
      PR middle-end/91001, PR middle-end/91105, PR middle-end/91106,
      PR go/91617, PR middle-end/91623, PR lto/91572,
      PR tree-optimization/91351. PR target/86040 (AVR), PR target/59888,
      PR target/89400 (ARM), PR target/87243, PR c++/92106, PR c++/91974,
      PR c++/88203, PR c/91401, PR fortran/69455, PR fortran/91586,
      PR fortran/83113, PR fortran/89943.

  [Nicolas Boulenguez]
  * Fix race condition in libgnatvsn/Makefile.

  [ Matthias Klose ]
  * Configure for s390x Ubuntu focal --with-arch=z13 --with-mtune=z15.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Oct 2019 21:35:13 +0200

gcc-9 (9.2.1-11) unstable; urgency=medium

  [Nicolas Boulenguez]
  * Fix diff index in libgnatvsn patch. Closes: #942442.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Oct 2019 10:32:53 +0200

gcc-9 (9.2.1-10) unstable; urgency=medium

  * Update to SVN 20191016 (r277058) from the gcc-9-branch.
    - Fix PR lto/91968, PR tree-optimization/91812, PR debug/91772,
      PR tree-optimization/91790, PR target/92022 (ALPHA),
      PR target/88630 (SH), PR c++/91606, PR c++/91740, PR ada/91995,
      PR fortran/91715, PR fortran/91649, PR fortran/91801.

  [Nicolas Boulenguez]
  * Rewrite libgnatvsn support with autotools. Closes: #746689.
  * Converge towards similar gnat_util library.
  * Cherry-pick repinfo stuff for latest ASIS.

  [ Matthias Klose ]
  * gm2: Fix a time_t cast, and enable gm2 on x32. Closes: #942059,
  * Fix PR lto/91307, reproducible LTO builds, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Oct 2019 12:29:50 +0200

gcc-9 (9.2.1-9ubuntu2) eoan; urgency=medium

  * Revert the ada changes from -9, introducing a ftbfs on armel.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Oct 2019 11:39:55 +0200

gcc-9 (9.2.1-9ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Oct 2019 14:33:47 +0200

gcc-9 (9.2.1-9) unstable; urgency=medium

  * Update to SVN 20191008 (r276687) from the gcc-9-branch.
    - Fix PR libstdc++/91748, PR rtl-optimization/89795, PR c++/91705,
      PR target/86805 (SH), PR target/80672 (SH), PR rtl-optimization/88751,
      PR target/91683 (riscv), PR target/91269 (SPARC),
      PR target/91635 (riscv), PR c++/91923, PR fortran/91557,
      PR fortran/91553, PR fortran/91566, PR fortran/91642, PR fortran/91588,
      PR fortran/91727, PR fortran/91550, PR target/91275 (PPC),
      PR target/91769 (MIPS), PR fortran/91716, PR target/88562 (SH),
      PR driver/69471, PR fortran/84487, PR fortran/47054, PR fortran/91942,
      PR fortran/91785, PR fortran/91864, PR fortran/91802, PR fortran/91714,
      PR fortran/91641.
    - Fix ICE on MIPS. Closes: #941263.
  * Disable gm2 on hurd-i386, mc hangs there (Samuel Thibault). Closes: #940600.
  * Apply proposed patch for PR target/92022. Addresses: #931815.

  [ Nicolas Boulenguez ]
  * Update ada local patches.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Oct 2019 10:21:22 +0200

gcc-9 (9.2.1-8ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Sep 2019 19:21:40 +0200

gcc-9 (9.2.1-8) unstable; urgency=medium

  * Update to SVN 20190909 (r275519) from the gcc-9-branch.
    - Fix PR fortran/91496, PR fortran/91496, PR fortran/91660,
      PR fortran/91589, PR target/87853 (x86), PR target/91704 (x86).
  * libstdc++: Fix GCC_LINUX_FUTEX to work with C99 compilers, taken from
    the trunk.
  * Make LTO link pick up compile-time -g (proposed patch).

 -- Matthias Klose <doko@debian.org>  Mon, 09 Sep 2019 17:18:48 +0200

gcc-9 (9.2.1-7ubuntu2) eoan; urgency=medium

  * Update to SVN 20190907 (r275485) from the gcc-9-branch.
    - Fix PR fortran/91496, PR fortran/91496, PR fortran/91660.
  * Fix GCC_LINUX_FUTEX to work with C99 compilers, taken from the trunk.
  * Re-enable running the testsuite.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2019 09:40:59 +0200

gcc-9 (9.2.1-7ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 07:00:00 +0200

gcc-9 (9.2.1-7) unstable; urgency=medium

  * Update to SVN 20190905 (r275396) from the gcc-9-branch.
    - Fix PR libstdc++/91067, PR target/91481 (PPC),
      PR tree-optimization/90278, PR tree-optimization/91568,
      PR tree-optimization/90637, PR fortran/91565, PR fortran/91564,
      PR fortran/91551, PR fortran/91587, PR pch/61250, PR c++/91155,
      PR tree-optimization/91597, PR gcov-profile/91601,
      PR target/91472 (SPARC), PR c++/91129, PR fortran/91552,
      PR target/81800 (AArch64).
  * Drop the gcc-alpha-bs-ignore patch, apparently not necessary anymore.
  * For the omp.h header, use the configured OMP_NEST_LOCK_SIZE and
    OMP_NEST_LOCK_ALIGN values for some non-multilib architectures.
    Closes: #935750.
  * Use Python3 to build the gm2 frontend. Closes: #936586.
  * libgphobos76: Add breaks: dub (<< 1.16.0-1~). Addresses: #935275.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Sep 2019 06:45:00 +0200

gcc-9 (9.2.1-6ubuntu3) eoan; urgency=medium

  * Rebuild for glibc 2.30.
  * Update to SVN 20190901 (r275264) from the gcc-9-branch.
    - Fix PR libstdc++/91067, PR target/91481 (PPC),
      PR tree-optimization/90278, PR tree-optimization/91568,
      PR tree-optimization/90637, PR fortran/91565, PR fortran/91564,
      PR fortran/91551, PR fortran/91587, PR pch/61250.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Sep 2019 23:17:41 +0200

gcc-9 (9.2.1-6ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Aug 2019 01:15:11 +0200

gcc-9 (9.2.1-6) unstable; urgency=medium

  * Update to SVN 20190827 (r274974) from the gcc-9-branch.
    - Fix PR ipa/91508, PR ipa/91438, PR ipa/91404, PR lto/91287,
      PR target/91533 (x86), PR ipa/91508, PR ipa/91438, PR ipa/91404,
      PR c++/91521.
  * Backport LTO jobserver support (-flto=auto).
  * any_archs: Remove mips and powerpcspe, add riscv64.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Aug 2019 01:01:47 +0200

gcc-9 (9.2.1-4ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Aug 2019 14:32:32 +0200

gcc-9 (9.2.1-4) unstable; urgency=medium

  * Fix typo for gm2 enablement.
  * Disable gm2 on powerpc, ppc64, sh4, kfreebsd-i386, kfreebsd-amd64.
    See the build logs of 9.2.1-3 for the various issues.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Aug 2019 12:12:07 +0200

gcc-9 (9.2.1-3ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Aug 2019 12:20:03 +0200

gcc-9 (9.2.1-3) unstable; urgency=medium

  * Update to SVN 20190821 (r274792) from the gcc-9-branch.
    - Fix PR rtl-optimization/91347, PR target/91386 (AArch64).

  [ Aurelien Jarno ]
  * Enable Ada on riscv64.

  [ Matthias Klose ]
  * Build the gm2 packages except on powerpc and x32.
  * Update gm2 cross build dependencies.
  * Fix gm2 build with -j32.
  * Configure with --enable-libpth-m2 for gm2 cross builds.
  * Configure --without-target-system-zlib for gdc cross builds.
  * Remove not needed libpth-dev dependency for gm2 packages.
  * Ignore M2Version.o for gm2 bootstrap comparison.
  * Update gm2 from the gcc_9_2_0_gm2 branch 20190820.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Aug 2019 12:15:27 +0200

gcc-9 (9.2.1-2ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 19 Aug 2019 18:03:03 +0200

gcc-9 (9.2.1-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Update to SVN 20190817 (r274667) from the gcc-9-branch.
    - Fix PR c++/90947, PR c++/91436, PR fortran/87991, PR fortran/90563,
      PR fortran/88072, PR fortran/90561, PR fortran/89647, PR fortran/87993,
      PR tree-optimization/91109, PR tree-optimization/91109,
      PR tree-optimization/91445, PR tree-optimization/91091,
      PR c++/90393, PR c++/81429, PR c++/87519, PR c++/90473, PR c++/90884,
      PR libsanitizer/87880, PR fortran/91485, PR fortran/91471,
      PR fortran/78739, PR fortran/78719, PR fortran/82992.
  * More gm2/libgm2 packaging fixes.
  * Disable lto build on sparc64 (if porters would only test that before
    making a request to enable it ...).
  * Bootstrap using gnat-9 on development distributions.

  [ Aurelien Jarno ]
  * Fix libstdc++6.symbols.riscv64.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Aug 2019 13:01:37 +0200

gcc-9 (9.2.1-1) unstable; urgency=medium

  * Update to SVN 20190813 (r274380) from the gcc-9-branch.
    - Fix PR fortran/91422, PR lto/91375, PR driver/91130, PR driver/91130,
      PR c++/91378, PR c++/90538, PR fortran/91424, PR fortran/91359,
      PR fortran/42546, PR fortran/91414, PR libstdc++/90361.
  * Minor updates to debian/copyright for GCC 9.
  * Include a snapshot of the gm2 tarball.
  * Add copyright information for gcc/gm2, gcc/testsuite/gm2 and libgm2.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Aug 2019 15:43:49 +0200

gcc-9 (9.2.0-1ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Aug 2019 12:43:28 +0200

gcc-9 (9.2.0-1) unstable; urgency=medium

  * GCC 9.2.0 release.

  [ Matthias Klose ]
  * Enable pgo/lto build on sparc64 (ok, when done on landau buildd).
  * Add initial gm2 packaging bits.
  * Bump standards version.

  [ James Clarke ]
  * ada-kfreebsd.diff: Fix fatal unreferenced formal parameter warnings.

  [ Aurelien Jarno ]
  * Add libstdc++6.symbols.riscv64.
  * Update debian/libgcc.symbols for riscv64.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Aug 2019 12:24:04 +0200

gcc-9 (9.1.0-10) unstable; urgency=medium

  * Fix typo in libstdc++ symbols file.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Jul 2019 21:56:07 +0200

gcc-9 (9.1.0-9ubuntu2) eoan; urgency=medium

  * Fix typo in libstdc++6 symbols file.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Jul 2019 03:53:22 +0200

gcc-9 (9.1.0-9ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jul 2019 21:58:58 +0200

gcc-9 (9.1.0-9) unstable; urgency=medium

  * Update to SVN 20190717 (r273554) from the gcc-9-branch.
    - Fix PR c++/91125, PR c/91149, PR driver/90684, PR middle-end/78884,
      PR rtl-optimization/90756, PR tree-optimization/91063, PR ipa/91062,
      PR ipa/90982, PR tree-optimization/90972, PR debug/90914, PR debug/90900,
      PR lto/90369, PR rtl-optimization/91136, PR tree-optimization/91108,
      PR fortran/91077.

  [ Matthias Klose ]
  * Make the lto-verbose-linker patch more robust for hppa (Dave Anglin).
  * Avoid building stuff which is not needed for architecture independent
    packages. Addresses: #900554.
  * lib32gphobos-dev, libn32gphobos-dev: Remove dependency on non-existing
    libz-dev multilib packages.
  * Update libgfortran symbols files.
  * Update libstdc++ symbols files.

  [ Nicolas Boulenguez ]
  * Ada: update confirm_debian_bugs.py.
  * Ada: fully port 50b8286b from the gcc-8 branch to gcc-9.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Jul 2019 21:53:24 +0200

gcc-9 (9.1.0-8ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Jul 2019 08:53:20 +0200

gcc-9 (9.1.0-9) UNRELEASED; urgency=medium

  * Make the lto-verbose-linker patch more robust for hppa (Dave Anglin).
  * Avoid building stuff which is not needed for architecture independent
    packages.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Jul 2019 18:13:15 +0200

gcc-9 (9.1.0-8) unstable; urgency=medium

  * Update to SVN 20190707 (r273175) from the gcc-9-branch.
  * Re-add a lost hunk to the add-kfreebsd patch (James Clarke).
  * Dump config files on failed jit and nvptx builds.
  * Disable the LTO builds on architectures where the buildds can't keep up.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Jul 2019 12:10:25 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gm2-14`.
